# To ensure correct image size when batch processing, please search
# for and uncomment the line `# renderView*.ViewSize = [*,*]`

#### import the simple module from the paraview
from paraview.simple import *
#### disable automatic camera reset on 'Show'
paraview.simple._DisableFirstRenderCameraReset()


# ----- CREATE A Phase Diagram for the following cases:
# 1. (Hyperbolic Case) Gamma = '0'
# 2. (Elliptic Case) Gamma = 'infinity'

case = 1
# case = 2
#

curvature = 0


# create a new 'XML Structured Grid Reader'
# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGammainfinity.vts'])
# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGammainfinity_100SP.vts'])
# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGammainfinity300sp.vts'])
# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGammainfinityBetaSmallerOne.vts'])
phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGamma0300sp.vts'])
# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGamma0.vts'])


phaseDiagram3DGammainfinityvts.PointArrayStatus = ['Type', 'angles', 'curvature']

# get active view
renderView1 = GetActiveViewOrCreate('RenderView')
# uncomment following to set a specific view size
# renderView1.ViewSize = [999, 547]

## ---- Set a specific view size:
renderView1.ViewSize = [1257, 934]

# show data in view
phaseDiagram3DGammainfinityvtsDisplay = Show(phaseDiagram3DGammainfinityvts, renderView1)

# trace defaults for the display properties.
phaseDiagram3DGammainfinityvtsDisplay.Representation = 'Outline'
phaseDiagram3DGammainfinityvtsDisplay.ColorArrayName = ['POINTS', '']
phaseDiagram3DGammainfinityvtsDisplay.OSPRayScaleArray = 'Type'
phaseDiagram3DGammainfinityvtsDisplay.OSPRayScaleFunction = 'PiecewiseFunction'
phaseDiagram3DGammainfinityvtsDisplay.SelectOrientationVectors = 'None'
phaseDiagram3DGammainfinityvtsDisplay.ScaleFactor = 4.0
phaseDiagram3DGammainfinityvtsDisplay.SelectScaleArray = 'Type'
phaseDiagram3DGammainfinityvtsDisplay.GlyphType = 'Arrow'
phaseDiagram3DGammainfinityvtsDisplay.GlyphTableIndexArray = 'Type'
phaseDiagram3DGammainfinityvtsDisplay.GaussianRadius = 0.2
phaseDiagram3DGammainfinityvtsDisplay.SetScaleArray = ['POINTS', 'Type']
phaseDiagram3DGammainfinityvtsDisplay.ScaleTransferFunction = 'PiecewiseFunction'
phaseDiagram3DGammainfinityvtsDisplay.OpacityArray = ['POINTS', 'Type']
phaseDiagram3DGammainfinityvtsDisplay.OpacityTransferFunction = 'PiecewiseFunction'
phaseDiagram3DGammainfinityvtsDisplay.DataAxesGrid = 'GridAxesRepresentation'
phaseDiagram3DGammainfinityvtsDisplay.PolarAxes = 'PolarAxesRepresentation'
phaseDiagram3DGammainfinityvtsDisplay.ScalarOpacityUnitDistance = 1.1546332790816523

# init the 'PiecewiseFunction' selected for 'OSPRayScaleFunction'
phaseDiagram3DGammainfinityvtsDisplay.OSPRayScaleFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.213836476688135, 0.625, 0.5, 0.0, 1.3616352081298828, 0.6691176295280457, 0.5, 0.0, 1.6666333299996667, 0.8676470518112183, 0.5, 0.0, 1.7358490228652954, 0.6911764740943909, 0.5, 0.0, 2.0, 0.8014705777168274, 0.5, 0.0]

# init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
phaseDiagram3DGammainfinityvtsDisplay.ScaleTransferFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.4276729533762702, 0.625, 0.5, 0.0, 1.7232704162597656, 0.6691176295280457, 0.5, 0.0, 2.3332666599993335, 0.8676470518112183, 0.5, 0.0, 2.471698045730591, 0.6911764740943909, 0.5, 0.0, 3.0, 0.8014705777168274, 0.5, 0.0]

# init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
phaseDiagram3DGammainfinityvtsDisplay.OpacityTransferFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.4276729533762702, 0.625, 0.5, 0.0, 1.7232704162597656, 0.6691176295280457, 0.5, 0.0, 2.3332666599993335, 0.8676470518112183, 0.5, 0.0, 2.471698045730591, 0.6911764740943909, 0.5, 0.0, 3.0, 0.8014705777168274, 0.5, 0.0]

# reset view to fit data
renderView1.ResetCamera()

# update the view to ensure updated data information
renderView1.Update()

# create a new 'Transform'
transform1 = Transform(Input=phaseDiagram3DGammainfinityvts)
transform1.Transform = 'Transform'

# Properties modified on transform1.Transform
transform1.Transform.Scale = [0.025, 0.025, 1.0]

# Properties modified on transform1.Transform
# transform1.Transform.Scale = [0.025, 1.0, 1.0]

# show data in view
transform1Display = Show(transform1, renderView1)

# trace defaults for the display properties.
transform1Display.Representation = 'Outline'
transform1Display.ColorArrayName = ['POINTS', '']
transform1Display.OSPRayScaleArray = 'Type'
transform1Display.OSPRayScaleFunction = 'PiecewiseFunction'
transform1Display.SelectOrientationVectors = 'None'
transform1Display.ScaleFactor = 0.1
transform1Display.SelectScaleArray = 'Type'
transform1Display.GlyphType = 'Arrow'
transform1Display.GlyphTableIndexArray = 'Type'
transform1Display.GaussianRadius = 0.005
transform1Display.SetScaleArray = ['POINTS', 'Type']
transform1Display.ScaleTransferFunction = 'PiecewiseFunction'
transform1Display.OpacityArray = ['POINTS', 'Type']
transform1Display.OpacityTransferFunction = 'PiecewiseFunction'
transform1Display.DataAxesGrid = 'GridAxesRepresentation'
transform1Display.PolarAxes = 'PolarAxesRepresentation'
transform1Display.ScalarOpacityUnitDistance = 0.035113904022862234

# init the 'PiecewiseFunction' selected for 'OSPRayScaleFunction'
transform1Display.OSPRayScaleFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.213836476688135, 0.625, 0.5, 0.0, 1.3616352081298828, 0.6691176295280457, 0.5, 0.0, 1.6666333299996667, 0.8676470518112183, 0.5, 0.0, 1.7358490228652954, 0.6911764740943909, 0.5, 0.0, 2.0, 0.8014705777168274, 0.5, 0.0]
# init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
transform1Display.ScaleTransferFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.4276729533762702, 0.625, 0.5, 0.0, 1.7232704162597656, 0.6691176295280457, 0.5, 0.0, 2.3332666599993335, 0.8676470518112183, 0.5, 0.0, 2.471698045730591, 0.6911764740943909, 0.5, 0.0, 3.0, 0.8014705777168274, 0.5, 0.0]
# init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
transform1Display.OpacityTransferFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.4276729533762702, 0.625, 0.5, 0.0, 1.7232704162597656, 0.6691176295280457, 0.5, 0.0, 2.3332666599993335, 0.8676470518112183, 0.5, 0.0, 2.471698045730591, 0.6911764740943909, 0.5, 0.0, 3.0, 0.8014705777168274, 0.5, 0.0]

# hide data in view
Hide(phaseDiagram3DGammainfinityvts, renderView1)

# update the view to ensure updated data information
renderView1.Update()
#
# reset view to fit data
renderView1.ResetCamera()

# -------------------------------------------------------------

# toggle 3D widget visibility (only when running from the GUI)
Hide3DWidgets(proxy=transform1.Transform)

# set scalar coloring
ColorBy(transform1Display, ('POINTS', 'angles'))

# rescale color and/or opacity maps used to include current data range
transform1Display.RescaleTransferFunctionToDataRange(True, False)

# show color bar/color legend
transform1Display.SetScalarBarVisibility(renderView1, True)

# get color transfer function/color map for 'angles'
anglesLUT = GetColorTransferFunction('angles')

# get opacity transfer function/opacity map for 'angles'
anglesPWF = GetOpacityTransferFunction('angles')

# --- change representation type
transform1Display.SetRepresentationType('Point Gaussian')

# Properties modified on transform1Display
transform1Display.ShaderPreset = 'Plain circle'

# --- Properties modified on transform1Display
transform1Display.GaussianRadius = 0.0075
# Properties modified on transform1Display

##--- SET OPACITY
# transform1Display.Opacity = 0.07
transform1Display.Opacity = 0.03  #overall Opacity
# transform1Display.Opacity = 0.15  #overall Opacity

# -------------- CHANGE COLORMAP ------------------
# Apply a preset using its name. Note this may not work as expected when presets have duplicate names.
anglesLUT.ApplyPreset('Cool to Warm', True)






## (Optional?) Adjust ColorMap:
# get opacity transfer function/opacity map for 'angles'
anglesPWF = GetOpacityTransferFunction('angles')    #
# get color transfer function
colorMap = GetColorTransferFunction('angles')

# get color transfer function/color map for 'angles'
anglesLUT = GetColorTransferFunction('angles')
anglesLUT.AutomaticRescaleRangeMode = "Grow and update on 'Apply'"
anglesLUT.InterpretValuesAsCategories = 0
anglesLUT.AnnotationsInitialized = 0
anglesLUT.ShowCategoricalColorsinDataRangeOnly = 0
anglesLUT.RescaleOnVisibilityChange = 0
anglesLUT.EnableOpacityMapping = 1
anglesLUT.RGBPoints = [0.0, 0.23137254902, 0.298039215686, 0.752941176471, 0.9632241725921631, 0.865, 0.865, 0.865, 1.5707963267948966, 0.705882352941, 0.0156862745098, 0.149019607843]
anglesLUT.UseLogScale = 0
anglesLUT.ColorSpace = 'Diverging'
anglesLUT.UseBelowRangeColor = 0
anglesLUT.BelowRangeColor = [0.0, 0.0, 0.0]
anglesLUT.UseAboveRangeColor = 0
anglesLUT.AboveRangeColor = [0.5, 0.5, 0.5]
anglesLUT.NanColor = [1.0, 1.0, 0.0]
anglesLUT.NanOpacity = 1.0
anglesLUT.Discretize = 1
anglesLUT.NumberOfTableValues = 256
anglesLUT.ScalarRangeInitialized = 1.0
anglesLUT.HSVWrap = 0
anglesLUT.VectorComponent = 0
anglesLUT.VectorMode = 'Magnitude'
anglesLUT.AllowDuplicateScalars = 1
anglesLUT.Annotations = []
anglesLUT.ActiveAnnotatedValues = []
anglesLUT.IndexedColors = []
anglesLUT.IndexedOpacities = []

# get opacity transfer function/opacity map for 'angles'
anglesPWF = GetOpacityTransferFunction('angles')
# anglesPWF.Points = [0.0, 0.05882352963089943, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
anglesPWF.AllowDuplicateScalars = 1
anglesPWF.UseLogScale = 0
anglesPWF.ScalarRangeInitialized = 1

# Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.3014705777168274, 0.5, 0.0, 0.33589355211648514, 0.625, 0.5, 0.0, 0.5680552565701278, 0.6691176295280457, 0.5, 0.0, 1.0471451860825267, 0.8676470518112183, 0.5, 0.0, 1.15586894219242, 0.6911764740943909, 0.5, 0.0, 1.5707963267948966, 0.8014705777168274, 0.5, 0.0]


# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.037, 0.5, 1.0, 0.33589355211648514, 0.625, 0.5, 0.0, 0.5680552565701278, 0.6691176295280457, 0.5, 0.0, 1.0471451860825267, 0.8676470518112183, 0.5, 0.0, 1.15586894219242, 0.6911764740943909, 0.5, 0.0, 1.5707963267948966, 0.8014705777168274, 0.5, 0.0]
# Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.036764707416296005, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
anglesPWF.Points = [0.1, 0.136764707416296005, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
# rescale color and/or opacity maps used to exactly fit the current data range
transform1Display.RescaleTransferFunctionToDataRange(False, True)
# # Properties modified on anglesPWF
# # anglesPWF.Points = [0.0, 0.036764707416296005, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0570768117917348, 1.0, 0.5, 0.0, 1.1558689421924027, 0.9852941036224365, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.7705793380737305, 0.9779411554336548, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.7656397223472595, 0.9926470518112183, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.9779411554336548, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.9411764740943909, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.904411792755127, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.7573529481887817, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.7426470518112183, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.6838235259056091, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.6764705777168274, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.5955882668495178, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.5735294222831726, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.43382352590560913, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.4264705777168274, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.3897058963775635, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.36764705181121826, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.29411765933036804, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.2867647111415863, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.2647058963775635, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.25, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.2132352888584137, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.1985294073820114, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.16911764442920685, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.1617647111415863, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.13235294818878174, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.11029411852359772, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.10294117778539658, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.09558823704719543, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.06617647409439087, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.05882352963089943, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.05147058889269829, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.036764707416296005, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.029411764815449715, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.06617647409439087, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.07352941483259201, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.05147058889269829, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.04411764815449715, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.036764707416296005, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]


# Properties modified on anglesLUT
anglesLUT.EnableOpacityMapping = 0
anglesLUT.EnableOpacityMapping = 1



## ---- AXES GRID PROPERTIES -----
# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.Visibility = 1

# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.XTitle = '$\\theta_\\rho$'
renderView1.AxesGrid.YTitle = '$\\theta_\\mu$'
renderView1.AxesGrid.ZTitle = '$\\theta$'
renderView1.AxesGrid.XTitleFontSize = 16
renderView1.AxesGrid.YTitleFontSize = 16
renderView1.AxesGrid.ZTitleFontSize = 16
renderView1.AxesGrid.XTitleFontSize = 24
renderView1.AxesGrid.YTitleFontSize = 24
renderView1.AxesGrid.ZTitleFontSize = 24

# ---- Switch of/on OrientationAXES:
# renderView1.OrientationAxesVisibility = 1
renderView1.OrientationAxesVisibility = 0
# rv = GetRenderView()
# renderView1.OrientationAxesLabelColor = [0.5, 0.5, 0.5]
# Render()

# ---- Switch Grid On/Off:
renderView1.AxesGrid.ShowGrid = 1

# # reset view to fit data
# renderView1.ResetCamera()


## Properties modified on renderView1.AxesGrid
## -- COLOR/Font-Size OF AXES-TITLE:
## -- Green:
# renderView1.AxesGrid.XTitleColor = [0.5411764705882353, 0.8862745098039215, 0.20392156862745098]
# renderView1.AxesGrid.YTitleColor = [0.5411764705882353, 0.8862745098039215, 0.20392156862745098]
# renderView1.AxesGrid.ZTitleColor = [0.5411764705882353, 0.8862745098039215, 0.20392156862745098]
## -- White:
# renderView1.AxesGrid.XTitleColor = [1.0, 1.0, 1.0]
# renderView1.AxesGrid.YTitleColor = [1.0, 1.0, 1.0]
# renderView1.AxesGrid.ZTitleColor = [1.0, 1.0, 1.0]



# Properties modified on renderView1.AxesGrid
# --- Change FontSize of Values on Axis:
renderView1.AxesGrid.XLabelFontSize = 12  #default:12
renderView1.AxesGrid.YLabelFontSize = 12
renderView1.AxesGrid.ZLabelFontSize = 12
renderView1.AxesGrid.XLabelFontSize = 10  #default:12
renderView1.AxesGrid.YLabelFontSize = 10
renderView1.AxesGrid.ZLabelFontSize = 10
renderView1.AxesGrid.XLabelFontSize = 16  #default:12
renderView1.AxesGrid.YLabelFontSize = 16
renderView1.AxesGrid.ZLabelFontSize = 16
# # --- Change Color of Values on Axis:
## -- Green:
# # renderView1.AxesGrid.XLabelColor = [0.5411764705882353, 0.8862745098039215, 0.20392156862745098]
# # renderView1.AxesGrid.YLabelColor = [0.5411764705882353, 0.8862745098039215, 0.20392156862745098]
# # renderView1.AxesGrid.ZLabelColor = [0.5411764705882353, 0.8862745098039215, 0.20392156862745098]
## -- White:
renderView1.AxesGrid.XLabelColor = [1.0, 1.0, 1.0]
renderView1.AxesGrid.YLabelColor = [1.0, 1.0, 1.0]
renderView1.AxesGrid.ZLabelColor = [1.0, 1.0, 1.0]

## --- Render Axes only on certain Facets:
renderView1.AxesGrid.FacesToRender = 7
renderView1.AxesGrid.ShowEdges = 0
renderView1.AxesGrid.AxesToLabel = 24


## ----------- Scale Data on Axes:
renderView1.AxesGrid.DataScale = [0.025, 0.025, 1.0]
#
# # Properties modified on renderView1.AxesGrid
## ---------- Set Custom Axis-Labels:
renderView1.AxesGrid.XAxisUseCustomLabels = 1
renderView1.AxesGrid.ZAxisUseCustomLabels = 1
renderView1.AxesGrid.YAxisUseCustomLabels = 1
renderView1.AxesGrid.XAxisLabels = [-20, -15.0, -10.0, -5.0, 0.0, 5.0, 10.0, 15.0, 20.0]
renderView1.AxesGrid.YAxisLabels = [0 , 10.0, 20.0, 30.0, 40.0]
# renderView1.AxesGrid.YAxisLabels = [0 ,5.0, 10.0, 15.0, 20.0, 25.0, 30.0,35.0, 40.0]
renderView1.AxesGrid.ZAxisLabels = [ 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1.0]


## ---- SET Center-Axis visible:
renderView1.CenterAxesVisibility = 1

# ----------------- CAMERA POSITION -----------------
# current camera placement for renderView1
# renderView1.CameraPosition = [0.9924119707463583, 3.796427396663517, 1.5103327925582364]
# renderView1.CameraFocalPoint = [0.0, 0.5002500000000001, 0.5]
# renderView1.CameraViewUp = [-0.03762445763524004, -0.2824789551065148, 0.9585353619505051]
# renderView1.CameraParallelScale = 0.93323050610355

renderView1.CameraPosition = [1.320702817430001, 3.4031687433379654, 1.5124027164700495]
renderView1.CameraFocalPoint = [5.999081648913413e-18, 0.5002500000000002, 0.4999999999999999]
renderView1.CameraViewUp = [-0.09506057625109621, -0.2889757851908078, 0.9526051030811066]
renderView1.CameraParallelScale = 0.8660254037844386
renderView1.EyeAngle = 0.0

renderView1.Update()

## uncomment the following to render all views          # TODO ?
# RenderAllViews()

# # get active view
# # renderView1 = GetActiveViewOrCreate('RenderView')







# ----------------- DRAW LINE -----------------

# create a new 'Line'
line1 = Line()

# show data in view
line1Display = Show(line1, renderView1)
# set active source
SetActiveSource(line1)

# Properties modified on line1
line1.Point1 = [0.25, 0.25, 0.0]
line1.Point2 = [0.25, 0.25, 1.0]

# Properties modified on line1Display
# line1Display.LineWidth = 2.0
line1Display.LineWidth = 4.0

# change solid color
line1Display.AmbientColor = [1.0, 1.0, 0.4980392156862745]
line1Display.DiffuseColor = [1.0, 1.0, 0.4980392156862745]

# toggle 3D widget visibility (only when running from the GUI)
Show3DWidgets(proxy=line1)

# update the view to ensure updated data information
renderView1.Update()

# # reset view to fit data
# renderView1.ResetCamera()


# ----------------- DRAW Plane -----------------
# # create a new 'Plane'
# plane2 = Plane()
# plane2.Origin = [0.0, 0.0, 0.0]
# plane2.Point1 = [0.0, 0.0, 1.0]
# plane2.Point2 = [0.0, 1.0, 0.0]
# plane2.XResolution = 1
# plane2.YResolution = 1
#
# # show data in view
# plane2Display = Show(plane2, renderView1)
# ----------------- LEGEND -----------------
# get color legend/bar for anglesLUT in view renderView1
anglesLUTColorBar = GetScalarBar(anglesLUT, renderView1)

# Properties modified on anglesLUTColorBar
anglesLUTColorBar.WindowLocation = 'LowerRightCorner'
anglesLUTColorBar.HorizontalTitle = 1
anglesLUTColorBar.Title = 'angle $\\angle$'
anglesLUTColorBar.TextPosition = 'Ticks left/bottom, annotations right/top'
anglesLUTColorBar.TitleJustification = 'Left'
# anglesLUTColorBar.TitleJustification = 'Centered'

# show color bar/color legend
# transform1Display.SetScalarBarVisibility(renderView1, True)

# # # Properties modified on anglesLUTColorBar
anglesLUTColorBar.AutomaticAnnotations = 0
anglesLUTColorBar.AddRangeLabels = 0
anglesLUTColorBar.DrawTickMarks = 0
anglesLUTColorBar.DrawTickLabels = 0
anglesLUTColorBar.TitleFontSize = 20
anglesLUTColorBar.LabelFontSize = 16
# anglesLUTColorBar.AddRangeAnnotations = 1

## -- Add Annotations :
anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
anglesLUT.IndexedColors = [1.0, 1.0, 1.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0]
anglesLUT.IndexedOpacities = [1.0, 1.0, 1.0, 1.0]


# # get color legend/bar for anglesLUT in view renderView1
# anglesLUTColorBar = GetScalarBar(anglesLUT, renderView1)

#
# if case == 1:
#     ## In Hyperbolic Case only two angles occur...
#     # Use discrete Color map:
#     # # Properties modified on anglesLUT
#     # anglesLUT.InterpretValuesAsCategories = 1
#     # anglesLUT.AnnotationsInitialized = 1
#     #
#     #
#     #
#     # # Properties modified on anglesLUT
#     # anglesLUT.Annotations = ['1.5707963267948966', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
#     # # Properties modified on anglesLUT
#     # anglesLUT.IndexedColors = [1.0, 0.10196078431372549, 0.023529411764705882, 0.03137254901960784, 0.03137254901960784, 1.0]
#     # # Properties modified on anglesLUT
#     # anglesLUT.IndexedOpacities = [1.0, 0.015]
#     # # get active view
#     # renderView1 = GetActiveViewOrCreate('RenderView')
#     # # uncomment following to set a specific view size
#     # # renderView1.ViewSize = [997, 905]
#     #
#     # # get display properties
#     transform1Display = GetDisplayProperties(transform1, view=renderView1)
#     print('Hyperbolic Case (case1)')
#
#     # get color transfer function/color map for 'angles'
#     anglesLUT = GetColorTransferFunction('angles')
#     anglesLUT.AutomaticRescaleRangeMode = "Grow and update on 'Apply'"
#     anglesLUT.InterpretValuesAsCategories = 1
#     anglesLUT.AnnotationsInitialized = 1
#     anglesLUT.ShowCategoricalColorsinDataRangeOnly = 0
#     anglesLUT.RescaleOnVisibilityChange = 0
#     anglesLUT.EnableOpacityMapping = 1
#     anglesLUT.RGBPoints = [0.0, 0.23137254902, 0.298039215686, 0.752941176471, 0.9632241725921631, 0.865, 0.865, 0.865, 1.5707963267948966, 0.705882352941, 0.0156862745098, 0.149019607843]
#     anglesLUT.UseLogScale = 0
#     anglesLUT.ColorSpace = 'Diverging'
#     anglesLUT.UseBelowRangeColor = 0
#     anglesLUT.BelowRangeColor = [0.0, 0.0, 0.0]
#     anglesLUT.UseAboveRangeColor = 0
#     anglesLUT.AboveRangeColor = [0.5, 0.5, 0.5]
#     anglesLUT.NanColor = [1.0, 1.0, 0.0]
#     anglesLUT.NanOpacity = 1.0
#     anglesLUT.Discretize = 1
#     anglesLUT.NumberOfTableValues = 256
#     anglesLUT.ScalarRangeInitialized = 1.0
#     anglesLUT.HSVWrap = 0
#     anglesLUT.VectorComponent = 0
#     anglesLUT.VectorMode = 'Magnitude'
#     anglesLUT.AllowDuplicateScalars = 1
#     anglesLUT.Annotations = ['1.5707963267948966', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
#     anglesLUT.ActiveAnnotatedValues = []
#     anglesLUT.IndexedColors = [1.0, 0.10196078431372549, 0.023529411764705882, 0.03137254901960784, 0.03137254901960784, 1.0]
#     anglesLUT.IndexedOpacities = [1.0, 0.015]
#
#     # Properties modified on anglesLUT
#     anglesLUT.Annotations = ['1.5707963267948966', '$\\pi / 2$', '0', '0']
#     anglesLUT.IndexedColors = [1.0, 0.10196078431372549, 0.023529411764705882, 1.0, 0.10196078431372549, 0.023529411764705882]
#     anglesLUT.IndexedOpacities = [1.0, -1.0]
#
#     # get opacity transfer function/opacity map for 'angles'
#     anglesPWF = GetOpacityTransferFunction('angles')
#     anglesPWF.Points = [0.0, 0.136764707416296, 0.5, 0.0, 0.705621357414266, 1.0, 0.5, 0.0, 0.82168139570297, 1.0, 0.5, 0.0, 0.9799451305746117, 1.0, 0.5, 0.0, 1.0960051688633157, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#     anglesPWF.AllowDuplicateScalars = 1
#     anglesPWF.UseLogScale = 0
#     anglesPWF.ScalarRangeInitialized = 1
#
#     # Properties modified on anglesLUT
#     anglesLUT.IndexedColors = [1.0, 0.10196078431372549, 0.023529411764705882, 0.07450980392156863, 0.043137254901960784, 1.0]
#
#     # Properties modified on anglesLUT
#     anglesLUT.IndexedOpacities = [1.0, 0.01]
#
#     # get active source.
#     transform1 = GetActiveSource()
#
#     # get active view
#     renderView1 = GetActiveViewOrCreate('RenderView')
#     # uncomment following to set a specific view size
#     # renderView1.ViewSize = [1257, 934]
#
#     # get display properties
#     transform1Display = GetDisplayProperties(transform1, view=renderView1)
#
#     # Properties modified on transform1Display
#     transform1Display.Opacity = 0.2
#
#     transform1Display.GaussianRadius = 0.02
#
#     # Properties modified on anglesLUT
#     anglesLUT.IndexedOpacities = [1.0, 0.017]
# elseif case == 2:
#


#
if case == 1:

    # get color transfer function/color map for 'angles'
    anglesLUT = GetColorTransferFunction('angles')
    anglesLUT.AutomaticRescaleRangeMode = "Grow and update on 'Apply'"
    anglesLUT.InterpretValuesAsCategories = 0
    anglesLUT.AnnotationsInitialized = 0
    anglesLUT.ShowCategoricalColorsinDataRangeOnly = 0
    anglesLUT.RescaleOnVisibilityChange = 0
    anglesLUT.EnableOpacityMapping = 1
    anglesLUT.RGBPoints = [0.0, 0.23137254902, 0.298039215686, 0.752941176471, 0.9632241725921631, 0.865, 0.865, 0.865, 1.5707963267948966, 0.705882352941, 0.0156862745098, 0.149019607843]
    anglesLUT.UseLogScale = 0
    anglesLUT.ColorSpace = 'Diverging'
    anglesLUT.UseBelowRangeColor = 0
    anglesLUT.BelowRangeColor = [0.0, 0.0, 0.0]
    anglesLUT.UseAboveRangeColor = 0
    anglesLUT.AboveRangeColor = [0.5, 0.5, 0.5]
    anglesLUT.NanColor = [1.0, 1.0, 0.0]
    anglesLUT.NanOpacity = 1.0
    anglesLUT.Discretize = 1
    anglesLUT.NumberOfTableValues = 256
    anglesLUT.ScalarRangeInitialized = 1.0
    anglesLUT.HSVWrap = 0
    anglesLUT.VectorComponent = 0
    anglesLUT.VectorMode = 'Magnitude'
    anglesLUT.AllowDuplicateScalars = 1
    anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
    anglesLUT.ActiveAnnotatedValues = []
    anglesLUT.IndexedColors = [1.0, 1.0, 1.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0]
    anglesLUT.IndexedOpacities = [1.0, 1.0, 1.0, 1.0]

    # get opacity transfer function/opacity map for 'angles'
    anglesPWF = GetOpacityTransferFunction('angles')
    anglesPWF.Points = [0.0, 0.136764707416296, 0.5, 0.0, 0.705621357414266, 1.0, 0.5, 0.0, 0.82168139570297, 1.0, 0.5, 0.0, 0.9799451305746117, 1.0, 0.5, 0.0, 1.0960051688633157, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
    anglesPWF.AllowDuplicateScalars = 1
    anglesPWF.UseLogScale = 0
    anglesPWF.ScalarRangeInitialized = 1

    # Properties modified on anglesLUT
    anglesLUT.InterpretValuesAsCategories = 1
    anglesLUT.AnnotationsInitialized = 1

    # Properties modified on anglesLUT
    anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0', '1.5707963267948966', '1.5708']

    # Properties modified on anglesLUT
    anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
    anglesLUT.IndexedColors = [1.0, 1.0, 1.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0]
    anglesLUT.IndexedOpacities = [1.0, 1.0, 1.0]

    # Properties modified on anglesLUT
    anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0', '0']
    anglesLUT.IndexedColors = [1.0, 1.0, 1.0, 1.0, 0.0, 0.0]
    anglesLUT.IndexedOpacities = [1.0, 1.0]

    # Properties modified on anglesLUT
    anglesLUT.Annotations = ['1.5707963267948966', '$\\pi / 2$', '0', '0']

    # Properties modified on anglesLUT
    anglesLUT.IndexedColors = [1.0, 0.0, 0.0, 1.0, 0.0, 0.0]

    # Properties modified on anglesLUT
    anglesLUT.IndexedColors = [1.0, 0.0, 0.0, 0.23137254901960785, 0.2980392156862745, 0.7529411764705882]
    # Properties modified on anglesLUT
    anglesLUT.IndexedColors = [0.7058823529411765, 0.01568627450980392, 0.14901960784313725, 0.23137254901960785, 0.2980392156862745, 0.7529411764705882]

    # Properties modified on anglesLUT
    anglesLUT.IndexedOpacities = [1.0, 0.02]

    # Properties modified on anglesLUT
    anglesLUT.IndexedOpacities = [1.0, 0.05]

    # Properties modified on anglesLUT
    anglesLUT.IndexedOpacities = [1.0, 0.1]

    # #TEST: (only for 100SP..)
    # anglesLUT.IndexedOpacities = [1.0, 0.03]
    # transform1Display.Opacity = 0.1  #overall Opacity


if case == 2:   #TEST
    # Properties modified on anglesLUT
    anglesLUT.RGBPoints = [0.0, 0.23137254902, 0.298039215686, 0.752941176471, 0.9632241725921631, 0.865, 0.865, 0.865, 1.5707963267948966, 1.0, 0.0, 0.0]





if curvature == 1:
    # set scalar coloring
    ColorBy(transform1Display, ('POINTS', 'curvature'))

    # get color transfer function/color map for 'angles'
    anglesLUT = GetColorTransferFunction('angles')
    anglesLUT.AutomaticRescaleRangeMode = "Grow and update on 'Apply'"
    anglesLUT.InterpretValuesAsCategories = 0
    anglesLUT.AnnotationsInitialized = 0
    anglesLUT.ShowCategoricalColorsinDataRangeOnly = 0
    anglesLUT.RescaleOnVisibilityChange = 0
    anglesLUT.EnableOpacityMapping = 0
    anglesLUT.RGBPoints = [0.0, 0.23137254902, 0.298039215686, 0.752941176471, 0.7853981633974483, 0.865, 0.865, 0.865, 1.5707963267948966, 0.705882352941, 0.0156862745098, 0.149019607843]
    anglesLUT.UseLogScale = 0
    anglesLUT.ColorSpace = 'Diverging'
    anglesLUT.UseBelowRangeColor = 0
    anglesLUT.BelowRangeColor = [0.0, 0.0, 0.0]
    anglesLUT.UseAboveRangeColor = 0
    anglesLUT.AboveRangeColor = [0.5, 0.5, 0.5]
    anglesLUT.NanColor = [1.0, 1.0, 0.0]
    anglesLUT.NanOpacity = 1.0
    anglesLUT.Discretize = 1
    anglesLUT.NumberOfTableValues = 256
    anglesLUT.ScalarRangeInitialized = 1.0
    anglesLUT.HSVWrap = 0
    anglesLUT.VectorComponent = 0
    anglesLUT.VectorMode = 'Magnitude'
    anglesLUT.AllowDuplicateScalars = 1
    anglesLUT.Annotations = []
    anglesLUT.ActiveAnnotatedValues = []
    anglesLUT.IndexedColors = []
    anglesLUT.IndexedOpacities = []

    # Hide the scalar bar for this color map if no visible data is colored by it.
    HideScalarBarIfNotNeeded(anglesLUT, renderView1)

    # rescale color and/or opacity maps used to include current data range
    transform1Display.RescaleTransferFunctionToDataRange(True, False)

    # show color bar/color legend
    transform1Display.SetScalarBarVisibility(renderView1, True)

    # get color transfer function/color map for 'curvature'
    curvatureLUT = GetColorTransferFunction('curvature')
    curvatureLUT.AutomaticRescaleRangeMode = "Grow and update on 'Apply'"
    curvatureLUT.InterpretValuesAsCategories = 0
    curvatureLUT.AnnotationsInitialized = 0
    curvatureLUT.ShowCategoricalColorsinDataRangeOnly = 0
    curvatureLUT.RescaleOnVisibilityChange = 0
    curvatureLUT.EnableOpacityMapping = 0
    curvatureLUT.RGBPoints = [-1187.69685, 0.001462, 0.000466, 0.013866, -1178.375848332, 0.002258, 0.001295, 0.018331, -1169.057223258, 0.003279, 0.002305, 0.023708, -1159.73622159, 0.004512, 0.00349, 0.029965, -1150.4175965159998, 0.00595, 0.004843, 0.03713, -1141.0965948479998, 0.007588, 0.006356, 0.044973, -1131.7779697740002, 0.009426, 0.008022, 0.052844, -1122.4569681060002, 0.011465, 0.009828, 0.06075, -1113.1359664379997, 0.013708, 0.011771, 0.068667, -1103.8173413640002, 0.016156, 0.01384, 0.076603, -1094.4963396960002, 0.018815, 0.016026, 0.084584, -1085.1777146220002, 0.021692, 0.01832, 0.09261, -1075.8567129540002, 0.024792, 0.020715, 0.100676, -1066.53808788, 0.028123, 0.023201, 0.108787, -1057.2170862120001, 0.031696, 0.025765, 0.116965, -1047.8960845440001, 0.03552, 0.028397, 0.125209, -1038.57745947, 0.039608, 0.03109, 0.133515, -1029.2564578019999, 0.04383, 0.03383, 0.141886, -1019.9378327279999, 0.048062, 0.036607, 0.150327, -1010.6168310599999, 0.05232, 0.039407, 0.158841, -1001.2982059860002, 0.056615, 0.04216, 0.167446, -991.9772043180003, 0.060949, 0.044794, 0.176129, -982.6562026499998, 0.06533, 0.047318, 0.184892, -973.3375775760002, 0.069764, 0.049726, 0.193735, -964.0165759080003, 0.074257, 0.052017, 0.20266, -954.697950834, 0.078815, 0.054184, 0.211667, -945.3769491660001, 0.083446, 0.056225, 0.220755, -936.058324092, 0.088155, 0.058133, 0.229922, -926.737322424, 0.092949, 0.059904, 0.239164, -917.4186973499998, 0.097833, 0.061531, 0.248477, -908.0976956819999, 0.102815, 0.06301, 0.257854, -898.776694014, 0.107899, 0.064335, 0.267289, -889.4580689399997, 0.113094, 0.065492, 0.276784, -880.1370672719999, 0.118405, 0.066479, 0.286321, -870.8184421980002, 0.123833, 0.067295, 0.295879, -861.4974405300002, 0.12938, 0.067935, 0.305443, -852.1788154560002, 0.135053, 0.068391, 0.315, -842.8578137880002, 0.140858, 0.068654, 0.324538, -833.5368121200001, 0.146785, 0.068738, 0.334011, -824.218187046, 0.152839, 0.068637, 0.343404, -814.8971853780001, 0.159018, 0.068354, 0.352688, -805.5785603039999, 0.165308, 0.067911, 0.361816, -796.257558636, 0.171713, 0.067305, 0.370771, -786.9389335619999, 0.178212, 0.066576, 0.379497, -777.6179318939999, 0.184801, 0.065732, 0.387973, -768.2969302259999, 0.19146, 0.064818, 0.396152, -758.9783051520003, 0.198177, 0.063862, 0.404009, -749.6573034839998, 0.204935, 0.062907, 0.411514, -740.3386784100002, 0.211718, 0.061992, 0.418647, -731.0176767420003, 0.218512, 0.061158, 0.425392, -721.699051668, 0.225302, 0.060445, 0.431742, -712.3780500000001, 0.232077, 0.059889, 0.437695, -703.0570483320002, 0.238826, 0.059517, 0.443256, -693.738423258, 0.245543, 0.059352, 0.448436, -684.41742159, 0.25222, 0.059415, 0.453248, -675.0987965159999, 0.258857, 0.059706, 0.45771, -665.777794848, 0.265447, 0.060237, 0.46184, -656.4591697739999, 0.271994, 0.060994, 0.46566, -647.1381681059999, 0.278493, 0.061978, 0.46919, -637.817166438, 0.284951, 0.063168, 0.472451, -628.4985413639997, 0.291366, 0.064553, 0.475462, -619.1775396959998, 0.29774, 0.066117, 0.478243, -609.8589146220002, 0.304081, 0.067835, 0.480812, -600.5379129540003, 0.310382, 0.069702, 0.483186, -591.21928788, 0.316654, 0.07169, 0.48538, -581.8982862120001, 0.322899, 0.073782, 0.487408, -572.5772845440001, 0.329114, 0.075972, 0.489287, -563.25865947, 0.335308, 0.078236, 0.491024, -553.9376578020001, 0.341482, 0.080564, 0.492631, -544.6190327279999, 0.347636, 0.082946, 0.494121, -535.29803106, 0.353773, 0.085373, 0.495501, -525.9794059860003, 0.359898, 0.087831, 0.496778, -516.6584043179998, 0.366012, 0.090314, 0.49796, -507.33740264999994, 0.372116, 0.092816, 0.499053, -498.0187775760003, 0.378211, 0.095332, 0.500067, -488.6977759079998, 0.384299, 0.097855, 0.501002, -479.37915083400014, 0.390384, 0.100379, 0.501864, -470.05814916600025, 0.396467, 0.102902, 0.502658, -460.739524092, 0.402548, 0.10542, 0.503386, -451.4185224240001, 0.408629, 0.10793, 0.504052, -442.09989735, 0.414709, 0.110431, 0.504662, -432.778895682, 0.420791, 0.11292, 0.505215, -423.4578940140001, 0.426877, 0.115395, 0.505714, -414.13926893999985, 0.432967, 0.117855, 0.50616, -404.81826727199996, 0.439062, 0.120298, 0.506555, -395.49964219799983, 0.445163, 0.122724, 0.506901, -386.1786405299998, 0.451271, 0.125132, 0.507198, -376.86001545600016, 0.457386, 0.127522, 0.507448, -367.5390137879997, 0.463508, 0.129893, 0.507652, -358.21801212000025, 0.46964, 0.132245, 0.507809, -348.89938704600013, 0.47578, 0.134577, 0.507921, -339.57838537800023, 0.481929, 0.136891, 0.507989, -330.259760304, 0.488088, 0.139186, 0.508011, -320.9387586360001, 0.494258, 0.141462, 0.507988, -311.620133562, 0.500438, 0.143719, 0.50792, -302.29913189399997, 0.506629, 0.145958, 0.507806, -292.9781302260001, 0.512831, 0.148179, 0.507648, -283.65950515199984, 0.519045, 0.150383, 0.507443, -274.33850348399994, 0.52527, 0.152569, 0.507192, -265.0198784100003, 0.531507, 0.154739, 0.506895, -255.6988767419998, 0.537755, 0.156894, 0.506551, -246.38025166800014, 0.544015, 0.159033, 0.506159, -237.05925000000025, 0.550287, 0.161158, 0.505719, -227.73824833199978, 0.556571, 0.163269, 0.50523, -218.41962325800012, 0.562866, 0.165368, 0.504692, -209.09862159000022, 0.569172, 0.167454, 0.504105, -199.77999651599998, 0.57549, 0.16953, 0.503466, -190.4589948480001, 0.581819, 0.171596, 0.502777, -181.14036977399996, 0.588158, 0.173652, 0.502035, -171.81936810599996, 0.594508, 0.175701, 0.501241, -162.49836643799995, 0.600868, 0.177743, 0.500394, -153.17974136399994, 0.607238, 0.179779, 0.499492, -143.85873969599993, 0.613617, 0.181811, 0.498536, -134.5401146219997, 0.620005, 0.18384, 0.497524, -125.21911295400037, 0.626401, 0.185867, 0.496456, -115.90048788000013, 0.632805, 0.187893, 0.495332, -106.57948621200012, 0.639216, 0.189921, 0.49415, -97.25848454400034, 0.645633, 0.191952, 0.49291, -87.9398594700001, 0.652056, 0.193986, 0.491611, -78.6188578020001, 0.658483, 0.196027, 0.490253, -69.30023272800008, 0.664915, 0.198075, 0.488836, -59.979231060000075, 0.671349, 0.200133, 0.487358, -50.66060598599984, 0.677786, 0.202203, 0.485819, -41.33960431799983, 0.684224, 0.204286, 0.484219, -32.01860265000005, 0.690661, 0.206384, 0.482558, -22.69997757599981, 0.697098, 0.208501, 0.480835, -13.378975907999802, 0.703532, 0.210638, 0.479049, -4.060350834000246, 0.709962, 0.212797, 0.477201, 5.2606508340002165, 0.716387, 0.214982, 0.47529, 14.579275908000454, 0.722805, 0.217194, 0.473316, 23.90027757599978, 0.729216, 0.219437, 0.471279, 33.21890265000002, 0.735616, 0.221713, 0.46918, 42.5399043179998, 0.742004, 0.224025, 0.467018, 51.86090598599981, 0.748378, 0.226377, 0.464794, 61.179531060000045, 0.754737, 0.228772, 0.462509, 70.50053272800005, 0.761077, 0.231214, 0.460162, 79.81915780199961, 0.767398, 0.233705, 0.457755, 89.14015947000007, 0.773695, 0.236249, 0.455289, 98.45878454400031, 0.779968, 0.238851, 0.452765, 107.77978621199964, 0.786212, 0.241514, 0.450184, 117.1007878800001, 0.792427, 0.244242, 0.447543, 126.41941295400034, 0.798608, 0.24704, 0.444848, 135.74041462199966, 0.804752, 0.249911, 0.442102, 145.0590396959999, 0.810855, 0.252861, 0.439305, 154.38004136400036, 0.816914, 0.255895, 0.436461, 163.69866643799992, 0.822926, 0.259016, 0.433573, 173.01966810599993, 0.828886, 0.262229, 0.430644, 182.34066977399993, 0.834791, 0.26554, 0.427671, 191.65929484799994, 0.840636, 0.268953, 0.424666, 200.98029651599995, 0.846416, 0.272473, 0.421631, 210.2989215900002, 0.852126, 0.276106, 0.418573, 219.6199232580002, 0.857763, 0.279857, 0.415496, 228.93854833199975, 0.86332, 0.283729, 0.412403, 238.25955000000022, 0.868793, 0.287728, 0.409303, 247.58055166799954, 0.874176, 0.291859, 0.406205, 256.8991767419998, 0.879464, 0.296125, 0.403118, 266.22017841000024, 0.884651, 0.30053, 0.400047, 275.5388034839998, 0.889731, 0.305079, 0.397002, 284.8598051519998, 0.8947, 0.309773, 0.393995, 294.17843022600005, 0.899552, 0.314616, 0.391037, 303.49943189400005, 0.904281, 0.31961, 0.388137, 312.82043356199983, 0.908884, 0.324755, 0.385308, 322.1390586360001, 0.913354, 0.330052, 0.382563, 331.4600603040001, 0.917689, 0.3355, 0.379915, 340.77868537799964, 0.921884, 0.341098, 0.377376, 350.0996870460001, 0.925937, 0.346844, 0.374959, 359.41831212000034, 0.929845, 0.352734, 0.372677, 368.73931378799966, 0.933606, 0.358764, 0.370541, 378.0603154560001, 0.937221, 0.364929, 0.368567, 387.37894053000036, 0.940687, 0.371224, 0.366762, 396.6999421979997, 0.944006, 0.377643, 0.365136, 406.0185672719999, 0.94718, 0.384178, 0.363701, 415.3395689400004, 0.95021, 0.39082, 0.362468, 424.65819401399995, 0.953099, 0.397563, 0.361438, 433.97919568199995, 0.955849, 0.4044, 0.360619, 443.30019734999996, 0.958464, 0.411324, 0.360014, 452.618822424, 0.960949, 0.418323, 0.35963, 461.939824092, 0.96331, 0.42539, 0.359469, 471.2584491660002, 0.965549, 0.432519, 0.359529, 480.57945083399954, 0.967671, 0.439703, 0.35981, 489.8980759079998, 0.96968, 0.446936, 0.360311, 499.21907757600025, 0.971582, 0.45421, 0.36103, 508.5377026500005, 0.973381, 0.46152, 0.361965, 517.8587043179998, 0.975082, 0.468861, 0.363111, 527.1797059860003, 0.97669, 0.476226, 0.364466, 536.4983310599998, 0.97821, 0.483612, 0.366025, 545.8193327279998, 0.979645, 0.491014, 0.367783, 555.1379578020001, 0.981, 0.498428, 0.369734, 564.4589594700001, 0.982279, 0.505851, 0.371874, 573.7775845439996, 0.983485, 0.51328, 0.374198, 583.0985862120001, 0.984622, 0.520713, 0.376698, 592.4195878800001, 0.985693, 0.528148, 0.379371, 601.7382129539997, 0.9867, 0.535582, 0.38221, 611.0592146220001, 0.987646, 0.543015, 0.38521, 620.3778396960004, 0.988533, 0.550446, 0.388365, 629.6988413639997, 0.989363, 0.557873, 0.391671, 639.0174664379999, 0.990138, 0.565296, 0.395122, 648.3384681060004, 0.990871, 0.572706, 0.398714, 657.6594697739997, 0.991558, 0.580107, 0.402441, 666.978094848, 0.992196, 0.587502, 0.406299, 676.299096516, 0.992785, 0.594891, 0.410283, 685.61772159, 0.993326, 0.602275, 0.41439, 694.938723258, 0.993834, 0.609644, 0.418613, 704.2573483320002, 0.994309, 0.616999, 0.42295, 713.57835, 0.994738, 0.62435, 0.427397, 722.899351668, 0.995122, 0.631696, 0.431951, 732.2179767420002, 0.99548, 0.639027, 0.436607, 741.5389784099996, 0.99581, 0.646344, 0.441361, 750.8576034839998, 0.996096, 0.653659, 0.446213, 760.1786051520003, 0.996341, 0.660969, 0.45116, 769.4972302259998, 0.99658, 0.668256, 0.456192, 778.8182318939998, 0.996775, 0.675541, 0.461314, 788.1392335620003, 0.996925, 0.682828, 0.466526, 797.4578586359999, 0.997077, 0.690088, 0.471811, 806.7788603039999, 0.997186, 0.697349, 0.477182, 816.0974853780001, 0.997254, 0.704611, 0.482635, 825.4184870460001, 0.997325, 0.711848, 0.488154, 834.7371121199997, 0.997351, 0.719089, 0.493755, 844.0581137880001, 0.997351, 0.726324, 0.499428, 853.3791154560001, 0.997341, 0.733545, 0.505167, 862.6977405299997, 0.997285, 0.740772, 0.510983, 872.0187421980002, 0.997228, 0.747981, 0.516859, 881.3373672720002, 0.997138, 0.75519, 0.522806, 890.6583689399997, 0.997019, 0.762398, 0.528821, 899.9769940139997, 0.996898, 0.769591, 0.534892, 909.2979956820002, 0.996727, 0.776795, 0.541039, 918.6189973499997, 0.996571, 0.783977, 0.547233, 927.9376224239998, 0.996369, 0.791167, 0.553499, 937.2586240919998, 0.996162, 0.798348, 0.55982, 946.5772491660002, 0.995932, 0.805527, 0.566202, 955.8982508340002, 0.99568, 0.812706, 0.572645, 965.2168759080002, 0.995424, 0.819875, 0.57914, 974.5378775759998, 0.995131, 0.827052, 0.585701, 983.8565026499998, 0.994851, 0.834213, 0.592307, 993.1775043180003, 0.994524, 0.841387, 0.598983, 1002.4985059859998, 0.994222, 0.84854, 0.605696, 1011.8171310599998, 0.993866, 0.855711, 0.612482, 1021.1381327280003, 0.993545, 0.862859, 0.619299, 1030.4567578019999, 0.99317, 0.870024, 0.626189, 1039.7777594699999, 0.992831, 0.877168, 0.633109, 1049.0963845439999, 0.99244, 0.88433, 0.640099, 1058.4173862119999, 0.992089, 0.89147, 0.647116, 1067.73838788, 0.991688, 0.898627, 0.654202, 1077.057012954, 0.991332, 0.905763, 0.661309, 1086.378014622, 0.99093, 0.912915, 0.668481, 1095.6966396959995, 0.99057, 0.920049, 0.675675, 1105.0176413640004, 0.990175, 0.927196, 0.682926, 1114.3362664380004, 0.989815, 0.934329, 0.690198, 1123.657268106, 0.989434, 0.94147, 0.697519, 1132.9782697740004, 0.989077, 0.948604, 0.704863, 1142.2968948480004, 0.988717, 0.955742, 0.712242, 1151.617896516, 0.988367, 0.962878, 0.719649, 1160.93652159, 0.988033, 0.970012, 0.727077, 1170.257523258, 0.987691, 0.977154, 0.734536, 1179.576148332, 0.987387, 0.984288, 0.742002, 1188.89715, 0.987053, 0.991438, 0.749504]
    curvatureLUT.UseLogScale = 0
    curvatureLUT.ColorSpace = 'RGB'
    curvatureLUT.UseBelowRangeColor = 0
    curvatureLUT.BelowRangeColor = [0.0, 0.0, 0.0]
    curvatureLUT.UseAboveRangeColor = 0
    curvatureLUT.AboveRangeColor = [0.5, 0.5, 0.5]
    curvatureLUT.NanColor = [0.0, 1.0, 0.0]
    curvatureLUT.NanOpacity = 1.0
    curvatureLUT.Discretize = 1
    curvatureLUT.NumberOfTableValues = 256
    curvatureLUT.ScalarRangeInitialized = 1.0
    curvatureLUT.HSVWrap = 0
    curvatureLUT.VectorComponent = 0
    curvatureLUT.VectorMode = 'Magnitude'
    curvatureLUT.AllowDuplicateScalars = 1
    curvatureLUT.Annotations = []
    curvatureLUT.ActiveAnnotatedValues = []
    curvatureLUT.IndexedColors = []
    curvatureLUT.IndexedOpacities = []

    # get opacity transfer function/opacity map for 'curvature'
    curvaturePWF = GetOpacityTransferFunction('curvature')
    curvaturePWF.Points = [-1187.69685, 0.8602941036224365, 0.5, 0.0, -679.4943625218383, 0.625, 0.5, 0.0, -328.2367841697693, 0.6691176295280457, 0.5, 0.0, 396.61992227722794, 0.8676470518112183, 0.5, 0.0, 561.1175226475239, 0.6911764740943909, 0.5, 0.0, 1188.89715, 0.8014705777168274, 0.5, 0.0]
    curvaturePWF.AllowDuplicateScalars = 1
    curvaturePWF.UseLogScale = 0
    curvaturePWF.ScalarRangeInitialized = 1

    # Apply a preset using its name. Note this may not work as expected when presets have duplicate names.
    curvatureLUT.ApplyPreset('Cold and Hot', True)


# update the view to ensure updated data information
renderView1.Update()


# ----------------- EXPORT -----------------
# save screenshot
# SaveScreenshot('/home/klaus/Desktop/PhaseDiagramPlot.png', renderView1, ImageResolution=[1257, 934])
# SaveScreenshot('/home/klaus/Desktop/PhaseDiagramPlot.png', renderView1, ImageResolution=[2514, 1868])
# SaveScreenshot('/home/klaus/Desktop/PhaseDiagramPlot.png', renderView1, ImageResolution=[1063, 657])

if case ==1:
    SaveScreenshot('/home/klaus/Desktop/PhaseDiagramPlot_Gamma0_HiRES.png', renderView1, ImageResolution=[2126, 1314])
elif case == 2:
    SaveScreenshot('/home/klaus/Desktop/PhaseDiagramPlot_GammaInf_HiRES.png', renderView1, ImageResolution=[2126, 1314])
# export view
# ExportView('/home/klaus/Desktop/PhaseDiagramPlot.pdf', view=renderView1)
