# To ensure correct image size when batch processing, please search
# for and uncomment the line `# renderView*.ViewSize = [*,*]`

#### import the simple module from the paraview
from paraview.simple import *
#### disable automatic camera reset on 'Show'
paraview.simple._DisableFirstRenderCameraReset()


# ----- CREATE A Phase Diagram for the following cases:
# 1. (Hyperbolic Case) Gamma = '0'
# 2. (Elliptic Case) Gamma = 'infinity'

case = 1
case = 2
#
# contour = 1


# create a new 'XML Structured Grid Reader'
# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGammainfinity.vts'])
phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGammainfinity_100SP.vts'])
# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGammainfinity300sp.vts'])
# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGammainfinityBetaSmallerOne.vts'])
# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGamma0BetaSmallerOne.vts'])
# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGamma0300sp.vts'])
# phaseDiagram3DGammainfinityvts = XMLStructuredGridReader(FileName=['/home/klaus/Desktop/DUNE/dune-microstructure/outputs/PhaseDiagram3DGamma0.vts'])


phaseDiagram3DGammainfinityvts.PointArrayStatus = ['Type', 'angles', 'curvature']

# get active view
renderView1 = GetActiveViewOrCreate('RenderView')
# uncomment following to set a specific view size
# renderView1.ViewSize = [999, 547]

## ---- Set a specific view size:
renderView1.ViewSize = [1257, 934]

# show data in view
phaseDiagram3DGammainfinityvtsDisplay = Show(phaseDiagram3DGammainfinityvts, renderView1)

# trace defaults for the display properties.
phaseDiagram3DGammainfinityvtsDisplay.Representation = 'Outline'
phaseDiagram3DGammainfinityvtsDisplay.ColorArrayName = ['POINTS', '']
phaseDiagram3DGammainfinityvtsDisplay.OSPRayScaleArray = 'Type'
phaseDiagram3DGammainfinityvtsDisplay.OSPRayScaleFunction = 'PiecewiseFunction'
phaseDiagram3DGammainfinityvtsDisplay.SelectOrientationVectors = 'None'
phaseDiagram3DGammainfinityvtsDisplay.ScaleFactor = 4.0
phaseDiagram3DGammainfinityvtsDisplay.SelectScaleArray = 'Type'
phaseDiagram3DGammainfinityvtsDisplay.GlyphType = 'Arrow'
phaseDiagram3DGammainfinityvtsDisplay.GlyphTableIndexArray = 'Type'
phaseDiagram3DGammainfinityvtsDisplay.GaussianRadius = 0.2
phaseDiagram3DGammainfinityvtsDisplay.SetScaleArray = ['POINTS', 'Type']
phaseDiagram3DGammainfinityvtsDisplay.ScaleTransferFunction = 'PiecewiseFunction'
phaseDiagram3DGammainfinityvtsDisplay.OpacityArray = ['POINTS', 'Type']
phaseDiagram3DGammainfinityvtsDisplay.OpacityTransferFunction = 'PiecewiseFunction'
phaseDiagram3DGammainfinityvtsDisplay.DataAxesGrid = 'GridAxesRepresentation'
phaseDiagram3DGammainfinityvtsDisplay.PolarAxes = 'PolarAxesRepresentation'
phaseDiagram3DGammainfinityvtsDisplay.ScalarOpacityUnitDistance = 1.1546332790816523

# init the 'PiecewiseFunction' selected for 'OSPRayScaleFunction'
phaseDiagram3DGammainfinityvtsDisplay.OSPRayScaleFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.213836476688135, 0.625, 0.5, 0.0, 1.3616352081298828, 0.6691176295280457, 0.5, 0.0, 1.6666333299996667, 0.8676470518112183, 0.5, 0.0, 1.7358490228652954, 0.6911764740943909, 0.5, 0.0, 2.0, 0.8014705777168274, 0.5, 0.0]

# init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
phaseDiagram3DGammainfinityvtsDisplay.ScaleTransferFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.4276729533762702, 0.625, 0.5, 0.0, 1.7232704162597656, 0.6691176295280457, 0.5, 0.0, 2.3332666599993335, 0.8676470518112183, 0.5, 0.0, 2.471698045730591, 0.6911764740943909, 0.5, 0.0, 3.0, 0.8014705777168274, 0.5, 0.0]

# init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
phaseDiagram3DGammainfinityvtsDisplay.OpacityTransferFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.4276729533762702, 0.625, 0.5, 0.0, 1.7232704162597656, 0.6691176295280457, 0.5, 0.0, 2.3332666599993335, 0.8676470518112183, 0.5, 0.0, 2.471698045730591, 0.6911764740943909, 0.5, 0.0, 3.0, 0.8014705777168274, 0.5, 0.0]

# reset view to fit data
renderView1.ResetCamera()

# update the view to ensure updated data information
renderView1.Update()

# create a new 'Transform'
transform1 = Transform(Input=phaseDiagram3DGammainfinityvts)
transform1.Transform = 'Transform'

# Properties modified on transform1.Transform
# transform1.Transform.Scale = [0.025, 0.025, 1.0]

# Properties modified on transform1.Transform
transform1.Transform.Scale = [0.025, 1.0, 1.0]

# show data in view
transform1Display = Show(transform1, renderView1)

# trace defaults for the display properties.
transform1Display.Representation = 'Outline'
transform1Display.ColorArrayName = ['POINTS', '']
transform1Display.OSPRayScaleArray = 'Type'
transform1Display.OSPRayScaleFunction = 'PiecewiseFunction'
transform1Display.SelectOrientationVectors = 'None'
transform1Display.ScaleFactor = 0.1
transform1Display.SelectScaleArray = 'Type'
transform1Display.GlyphType = 'Arrow'
transform1Display.GlyphTableIndexArray = 'Type'
transform1Display.GaussianRadius = 0.005
transform1Display.SetScaleArray = ['POINTS', 'Type']
transform1Display.ScaleTransferFunction = 'PiecewiseFunction'
transform1Display.OpacityArray = ['POINTS', 'Type']
transform1Display.OpacityTransferFunction = 'PiecewiseFunction'
transform1Display.DataAxesGrid = 'GridAxesRepresentation'
transform1Display.PolarAxes = 'PolarAxesRepresentation'
transform1Display.ScalarOpacityUnitDistance = 0.035113904022862234

# init the 'PiecewiseFunction' selected for 'OSPRayScaleFunction'
transform1Display.OSPRayScaleFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.213836476688135, 0.625, 0.5, 0.0, 1.3616352081298828, 0.6691176295280457, 0.5, 0.0, 1.6666333299996667, 0.8676470518112183, 0.5, 0.0, 1.7358490228652954, 0.6911764740943909, 0.5, 0.0, 2.0, 0.8014705777168274, 0.5, 0.0]
# init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
transform1Display.ScaleTransferFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.4276729533762702, 0.625, 0.5, 0.0, 1.7232704162597656, 0.6691176295280457, 0.5, 0.0, 2.3332666599993335, 0.8676470518112183, 0.5, 0.0, 2.471698045730591, 0.6911764740943909, 0.5, 0.0, 3.0, 0.8014705777168274, 0.5, 0.0]
# init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
transform1Display.OpacityTransferFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.4276729533762702, 0.625, 0.5, 0.0, 1.7232704162597656, 0.6691176295280457, 0.5, 0.0, 2.3332666599993335, 0.8676470518112183, 0.5, 0.0, 2.471698045730591, 0.6911764740943909, 0.5, 0.0, 3.0, 0.8014705777168274, 0.5, 0.0]

# hide data in view
Hide(phaseDiagram3DGammainfinityvts, renderView1)

# update the view to ensure updated data information
renderView1.Update()
#
# reset view to fit data
renderView1.ResetCamera()

# -------------------------------------------------------------

# toggle 3D widget visibility (only when running from the GUI)
Hide3DWidgets(proxy=transform1.Transform)

# set scalar coloring
ColorBy(transform1Display, ('POINTS', 'angles'))

# rescale color and/or opacity maps used to include current data range
transform1Display.RescaleTransferFunctionToDataRange(True, False)

# show color bar/color legend
transform1Display.SetScalarBarVisibility(renderView1, True)

# get color transfer function/color map for 'angles'
anglesLUT = GetColorTransferFunction('angles')

# get opacity transfer function/opacity map for 'angles'
anglesPWF = GetOpacityTransferFunction('angles')

# --- change representation type
transform1Display.SetRepresentationType('Point Gaussian')

# Properties modified on transform1Display
transform1Display.ShaderPreset = 'Plain circle'

# --- Properties modified on transform1Display
transform1Display.GaussianRadius = 0.0075
# Properties modified on transform1Display

##--- SET OPACITY
# transform1Display.Opacity = 0.07
transform1Display.Opacity = 0.03  #overall Opacity
# transform1Display.Opacity = 0.15  #overall Opacity

# -------------- CHANGE COLORMAP ------------------
# Apply a preset using its name. Note this may not work as expected when presets have duplicate names.
anglesLUT.ApplyPreset('Cool to Warm', True)






## (Optional?) Adjust ColorMap:
# get opacity transfer function/opacity map for 'angles'
anglesPWF = GetOpacityTransferFunction('angles')    #
# get color transfer function
colorMap = GetColorTransferFunction('angles')

# get color transfer function/color map for 'angles'
anglesLUT = GetColorTransferFunction('angles')
anglesLUT.AutomaticRescaleRangeMode = "Grow and update on 'Apply'"
anglesLUT.InterpretValuesAsCategories = 0
anglesLUT.AnnotationsInitialized = 0
anglesLUT.ShowCategoricalColorsinDataRangeOnly = 0
anglesLUT.RescaleOnVisibilityChange = 0
anglesLUT.EnableOpacityMapping = 1
anglesLUT.RGBPoints = [0.0, 0.23137254902, 0.298039215686, 0.752941176471, 0.9632241725921631, 0.865, 0.865, 0.865, 1.5707963267948966, 0.705882352941, 0.0156862745098, 0.149019607843]
anglesLUT.UseLogScale = 0
anglesLUT.ColorSpace = 'Diverging'
anglesLUT.UseBelowRangeColor = 0
anglesLUT.BelowRangeColor = [0.0, 0.0, 0.0]
anglesLUT.UseAboveRangeColor = 0
anglesLUT.AboveRangeColor = [0.5, 0.5, 0.5]
anglesLUT.NanColor = [1.0, 1.0, 0.0]
anglesLUT.NanOpacity = 1.0
anglesLUT.Discretize = 1
anglesLUT.NumberOfTableValues = 256
anglesLUT.ScalarRangeInitialized = 1.0
anglesLUT.HSVWrap = 0
anglesLUT.VectorComponent = 0
anglesLUT.VectorMode = 'Magnitude'
anglesLUT.AllowDuplicateScalars = 1
anglesLUT.Annotations = []
anglesLUT.ActiveAnnotatedValues = []
anglesLUT.IndexedColors = []
anglesLUT.IndexedOpacities = []

# get opacity transfer function/opacity map for 'angles'
anglesPWF = GetOpacityTransferFunction('angles')
# anglesPWF.Points = [0.0, 0.05882352963089943, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
anglesPWF.AllowDuplicateScalars = 1
anglesPWF.UseLogScale = 0
anglesPWF.ScalarRangeInitialized = 1

# Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.3014705777168274, 0.5, 0.0, 0.33589355211648514, 0.625, 0.5, 0.0, 0.5680552565701278, 0.6691176295280457, 0.5, 0.0, 1.0471451860825267, 0.8676470518112183, 0.5, 0.0, 1.15586894219242, 0.6911764740943909, 0.5, 0.0, 1.5707963267948966, 0.8014705777168274, 0.5, 0.0]


# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.037, 0.5, 1.0, 0.33589355211648514, 0.625, 0.5, 0.0, 0.5680552565701278, 0.6691176295280457, 0.5, 0.0, 1.0471451860825267, 0.8676470518112183, 0.5, 0.0, 1.15586894219242, 0.6911764740943909, 0.5, 0.0, 1.5707963267948966, 0.8014705777168274, 0.5, 0.0]
# Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.036764707416296005, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
anglesPWF.Points = [0.1, 0.136764707416296005, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
# rescale color and/or opacity maps used to exactly fit the current data range
transform1Display.RescaleTransferFunctionToDataRange(False, True)
# # Properties modified on anglesPWF
# # anglesPWF.Points = [0.0, 0.036764707416296005, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0570768117917348, 1.0, 0.5, 0.0, 1.1558689421924027, 0.9852941036224365, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.7705793380737305, 0.9779411554336548, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.7656397223472595, 0.9926470518112183, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 1.0, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.9779411554336548, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.9411764740943909, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.904411792755127, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.7573529481887817, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.7426470518112183, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.6838235259056091, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.6764705777168274, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.5955882668495178, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.5735294222831726, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.43382352590560913, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.4264705777168274, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.3897058963775635, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.36764705181121826, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.29411765933036804, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.2867647111415863, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.2647058963775635, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.25, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.2132352888584137, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.1985294073820114, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.16911764442920685, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.1617647111415863, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.13235294818878174, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.11029411852359772, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.10294117778539658, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.09558823704719543, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.06617647409439087, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.05882352963089943, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.05147058889269829, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.036764707416296005, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.029411764815449715, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.06617647409439087, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.07352941483259201, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.05147058889269829, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.04411764815449715, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#
# # Properties modified on anglesPWF
# anglesPWF.Points = [0.0, 0.036764707416296005, 0.5, 0.0, 0.7607001066207886, 1.0, 0.5, 0.0, 0.8693715333938599, 1.0, 0.5, 0.0, 1.0175598859786987, 1.0, 0.5, 0.0, 1.12623131275177, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]


# Properties modified on anglesLUT
anglesLUT.EnableOpacityMapping = 0
anglesLUT.EnableOpacityMapping = 1



## ---- AXES GRID PROPERTIES -----
# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.Visibility = 1

# Properties modified on renderView1.AxesGrid
renderView1.AxesGrid.XTitle = '$\\theta_\\rho$'
renderView1.AxesGrid.YTitle = '$\\theta_\\mu$'
renderView1.AxesGrid.ZTitle = '$\\theta$'
renderView1.AxesGrid.XTitleFontSize = 16
renderView1.AxesGrid.YTitleFontSize = 16
renderView1.AxesGrid.ZTitleFontSize = 16
renderView1.AxesGrid.XTitleFontSize = 24
renderView1.AxesGrid.YTitleFontSize = 24
renderView1.AxesGrid.ZTitleFontSize = 24

# ---- Switch of/on OrientationAXES:
# renderView1.OrientationAxesVisibility = 1
renderView1.OrientationAxesVisibility = 0
# rv = GetRenderView()
# renderView1.OrientationAxesLabelColor = [0.5, 0.5, 0.5]
# Render()

# ---- Switch Grid On/Off:
renderView1.AxesGrid.ShowGrid = 1

# # reset view to fit data
# renderView1.ResetCamera()


## Properties modified on renderView1.AxesGrid
## -- COLOR/Font-Size OF AXES-TITLE:
## -- Green:
# renderView1.AxesGrid.XTitleColor = [0.5411764705882353, 0.8862745098039215, 0.20392156862745098]
# renderView1.AxesGrid.YTitleColor = [0.5411764705882353, 0.8862745098039215, 0.20392156862745098]
# renderView1.AxesGrid.ZTitleColor = [0.5411764705882353, 0.8862745098039215, 0.20392156862745098]
## -- White:
# renderView1.AxesGrid.XTitleColor = [1.0, 1.0, 1.0]
# renderView1.AxesGrid.YTitleColor = [1.0, 1.0, 1.0]
# renderView1.AxesGrid.ZTitleColor = [1.0, 1.0, 1.0]



# Properties modified on renderView1.AxesGrid
# --- Change FontSize of Values on Axis:
renderView1.AxesGrid.XLabelFontSize = 12  #default:12
renderView1.AxesGrid.YLabelFontSize = 12
renderView1.AxesGrid.ZLabelFontSize = 12
renderView1.AxesGrid.XLabelFontSize = 10  #default:12
renderView1.AxesGrid.YLabelFontSize = 10
renderView1.AxesGrid.ZLabelFontSize = 10
renderView1.AxesGrid.XLabelFontSize = 16  #default:12
renderView1.AxesGrid.YLabelFontSize = 16
renderView1.AxesGrid.ZLabelFontSize = 16
# # --- Change Color of Values on Axis:
## -- Green:
# # renderView1.AxesGrid.XLabelColor = [0.5411764705882353, 0.8862745098039215, 0.20392156862745098]
# # renderView1.AxesGrid.YLabelColor = [0.5411764705882353, 0.8862745098039215, 0.20392156862745098]
# # renderView1.AxesGrid.ZLabelColor = [0.5411764705882353, 0.8862745098039215, 0.20392156862745098]
## -- White:
renderView1.AxesGrid.XLabelColor = [1.0, 1.0, 1.0]
renderView1.AxesGrid.YLabelColor = [1.0, 1.0, 1.0]
renderView1.AxesGrid.ZLabelColor = [1.0, 1.0, 1.0]

## --- Render Axes only on certain Facets:
renderView1.AxesGrid.FacesToRender = 7
renderView1.AxesGrid.ShowEdges = 0
renderView1.AxesGrid.AxesToLabel = 24


## ----------- Scale Data on Axes:
# renderView1.AxesGrid.DataScale = [0.025, 0.025, 1.0]
renderView1.AxesGrid.DataScale = [0.025, 1.0, 1.0]
#
# # Properties modified on renderView1.AxesGrid
## ---------- Set Custom Axis-Labels:
renderView1.AxesGrid.XAxisUseCustomLabels = 1
renderView1.AxesGrid.ZAxisUseCustomLabels = 1
renderView1.AxesGrid.YAxisUseCustomLabels = 1
renderView1.AxesGrid.XAxisLabels = [-20, -15.0, -10.0, -5.0, 0.0, 5.0, 10.0, 15.0, 20.0]
# renderView1.AxesGrid.YAxisLabels = [0 , 10.0, 20.0, 30.0, 40.0]
# renderView1.AxesGrid.YAxisLabels = [0 ,5.0, 10.0, 15.0, 20.0, 25.0, 30.0,35.0, 40.0]
renderView1.AxesGrid.YAxisLabels = [0 , 0.1, 0.2, 0.3 ,0.4, 0.5 ,0.6,0.7,0.8,0.9,1.0]
renderView1.AxesGrid.ZAxisLabels = [ 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1.0]


## ---- SET Center-Axis visible:
renderView1.CenterAxesVisibility = 1

# ----------------- CAMERA POSITION -----------------
# current camera placement for renderView1
# renderView1.CameraPosition = [0.9924119707463583, 3.796427396663517, 1.5103327925582364]
# renderView1.CameraFocalPoint = [0.0, 0.5002500000000001, 0.5]
# renderView1.CameraViewUp = [-0.03762445763524004, -0.2824789551065148, 0.9585353619505051]
# renderView1.CameraParallelScale = 0.93323050610355

renderView1.CameraPosition = [1.320702817430001, 3.4031687433379654, 1.5124027164700495]
renderView1.CameraFocalPoint = [5.999081648913413e-18, 0.5002500000000002, 0.4999999999999999]
renderView1.CameraViewUp = [-0.09506057625109621, -0.2889757851908078, 0.9526051030811066]
renderView1.CameraParallelScale = 0.8660254037844386
renderView1.EyeAngle = 0.0

renderView1.Update()

## uncomment the following to render all views          # TODO ?
# RenderAllViews()

# # get active view
# # renderView1 = GetActiveViewOrCreate('RenderView')







# ----------------- DRAW LINE -----------------

# create a new 'Line'
line1 = Line()

# show data in view
line1Display = Show(line1, renderView1)
# set active source
SetActiveSource(line1)

# Properties modified on line1
line1.Point1 = [0.25, 0.25, 0.0]
line1.Point2 = [0.25, 0.25, 1.0]

# Properties modified on line1Display
# line1Display.LineWidth = 2.0
line1Display.LineWidth = 4.0

# change solid color
line1Display.AmbientColor = [1.0, 1.0, 0.4980392156862745]
line1Display.DiffuseColor = [1.0, 1.0, 0.4980392156862745]

# toggle 3D widget visibility (only when running from the GUI)
Show3DWidgets(proxy=line1)

# update the view to ensure updated data information
renderView1.Update()

# # reset view to fit data
# renderView1.ResetCamera()


# ----------------- DRAW Plane -----------------
# # create a new 'Plane'
# plane2 = Plane()
# plane2.Origin = [0.0, 0.0, 0.0]
# plane2.Point1 = [0.0, 0.0, 1.0]
# plane2.Point2 = [0.0, 1.0, 0.0]
# plane2.XResolution = 1
# plane2.YResolution = 1
#
# # show data in view
# plane2Display = Show(plane2, renderView1)
# ----------------- LEGEND -----------------
# get color legend/bar for anglesLUT in view renderView1
anglesLUTColorBar = GetScalarBar(anglesLUT, renderView1)

# Properties modified on anglesLUTColorBar
anglesLUTColorBar.WindowLocation = 'LowerRightCorner'
anglesLUTColorBar.HorizontalTitle = 1
anglesLUTColorBar.Title = 'angle $\\angle$'
anglesLUTColorBar.TextPosition = 'Ticks left/bottom, annotations right/top'
anglesLUTColorBar.TitleJustification = 'Left'
# anglesLUTColorBar.TitleJustification = 'Centered'

# show color bar/color legend
# transform1Display.SetScalarBarVisibility(renderView1, True)

# # # Properties modified on anglesLUTColorBar
anglesLUTColorBar.AutomaticAnnotations = 0
anglesLUTColorBar.AddRangeLabels = 0
anglesLUTColorBar.DrawTickMarks = 0
anglesLUTColorBar.DrawTickLabels = 0
anglesLUTColorBar.TitleFontSize = 20
anglesLUTColorBar.LabelFontSize = 16
# anglesLUTColorBar.AddRangeAnnotations = 1

## -- Add Annotations :
anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
anglesLUT.IndexedColors = [1.0, 1.0, 1.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0]
anglesLUT.IndexedOpacities = [1.0, 1.0, 1.0, 1.0]


# # get color legend/bar for anglesLUT in view renderView1
# anglesLUTColorBar = GetScalarBar(anglesLUT, renderView1)

#
# if case == 1:
#     ## In Hyperbolic Case only two angles occur...
#     # Use discrete Color map:
#     # # Properties modified on anglesLUT
#     # anglesLUT.InterpretValuesAsCategories = 1
#     # anglesLUT.AnnotationsInitialized = 1
#     #
#     #
#     #
#     # # Properties modified on anglesLUT
#     # anglesLUT.Annotations = ['1.5707963267948966', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
#     # # Properties modified on anglesLUT
#     # anglesLUT.IndexedColors = [1.0, 0.10196078431372549, 0.023529411764705882, 0.03137254901960784, 0.03137254901960784, 1.0]
#     # # Properties modified on anglesLUT
#     # anglesLUT.IndexedOpacities = [1.0, 0.015]
#     # # get active view
#     # renderView1 = GetActiveViewOrCreate('RenderView')
#     # # uncomment following to set a specific view size
#     # # renderView1.ViewSize = [997, 905]
#     #
#     # # get display properties
#     transform1Display = GetDisplayProperties(transform1, view=renderView1)
#     print('Hyperbolic Case (case1)')
#
#     # get color transfer function/color map for 'angles'
#     anglesLUT = GetColorTransferFunction('angles')
#     anglesLUT.AutomaticRescaleRangeMode = "Grow and update on 'Apply'"
#     anglesLUT.InterpretValuesAsCategories = 1
#     anglesLUT.AnnotationsInitialized = 1
#     anglesLUT.ShowCategoricalColorsinDataRangeOnly = 0
#     anglesLUT.RescaleOnVisibilityChange = 0
#     anglesLUT.EnableOpacityMapping = 1
#     anglesLUT.RGBPoints = [0.0, 0.23137254902, 0.298039215686, 0.752941176471, 0.9632241725921631, 0.865, 0.865, 0.865, 1.5707963267948966, 0.705882352941, 0.0156862745098, 0.149019607843]
#     anglesLUT.UseLogScale = 0
#     anglesLUT.ColorSpace = 'Diverging'
#     anglesLUT.UseBelowRangeColor = 0
#     anglesLUT.BelowRangeColor = [0.0, 0.0, 0.0]
#     anglesLUT.UseAboveRangeColor = 0
#     anglesLUT.AboveRangeColor = [0.5, 0.5, 0.5]
#     anglesLUT.NanColor = [1.0, 1.0, 0.0]
#     anglesLUT.NanOpacity = 1.0
#     anglesLUT.Discretize = 1
#     anglesLUT.NumberOfTableValues = 256
#     anglesLUT.ScalarRangeInitialized = 1.0
#     anglesLUT.HSVWrap = 0
#     anglesLUT.VectorComponent = 0
#     anglesLUT.VectorMode = 'Magnitude'
#     anglesLUT.AllowDuplicateScalars = 1
#     anglesLUT.Annotations = ['1.5707963267948966', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
#     anglesLUT.ActiveAnnotatedValues = []
#     anglesLUT.IndexedColors = [1.0, 0.10196078431372549, 0.023529411764705882, 0.03137254901960784, 0.03137254901960784, 1.0]
#     anglesLUT.IndexedOpacities = [1.0, 0.015]
#
#     # Properties modified on anglesLUT
#     anglesLUT.Annotations = ['1.5707963267948966', '$\\pi / 2$', '0', '0']
#     anglesLUT.IndexedColors = [1.0, 0.10196078431372549, 0.023529411764705882, 1.0, 0.10196078431372549, 0.023529411764705882]
#     anglesLUT.IndexedOpacities = [1.0, -1.0]
#
#     # get opacity transfer function/opacity map for 'angles'
#     anglesPWF = GetOpacityTransferFunction('angles')
#     anglesPWF.Points = [0.0, 0.136764707416296, 0.5, 0.0, 0.705621357414266, 1.0, 0.5, 0.0, 0.82168139570297, 1.0, 0.5, 0.0, 0.9799451305746117, 1.0, 0.5, 0.0, 1.0960051688633157, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#     anglesPWF.AllowDuplicateScalars = 1
#     anglesPWF.UseLogScale = 0
#     anglesPWF.ScalarRangeInitialized = 1
#
#     # Properties modified on anglesLUT
#     anglesLUT.IndexedColors = [1.0, 0.10196078431372549, 0.023529411764705882, 0.07450980392156863, 0.043137254901960784, 1.0]
#
#     # Properties modified on anglesLUT
#     anglesLUT.IndexedOpacities = [1.0, 0.01]
#
#     # get active source.
#     transform1 = GetActiveSource()
#
#     # get active view
#     renderView1 = GetActiveViewOrCreate('RenderView')
#     # uncomment following to set a specific view size
#     # renderView1.ViewSize = [1257, 934]
#
#     # get display properties
#     transform1Display = GetDisplayProperties(transform1, view=renderView1)
#
#     # Properties modified on transform1Display
#     transform1Display.Opacity = 0.2
#
#     transform1Display.GaussianRadius = 0.02
#
#     # Properties modified on anglesLUT
#     anglesLUT.IndexedOpacities = [1.0, 0.017]
# elseif case == 2:
#


#
if case == 1:

    # get color transfer function/color map for 'angles'
    anglesLUT = GetColorTransferFunction('angles')
    anglesLUT.AutomaticRescaleRangeMode = "Grow and update on 'Apply'"
    anglesLUT.InterpretValuesAsCategories = 0
    anglesLUT.AnnotationsInitialized = 0
    anglesLUT.ShowCategoricalColorsinDataRangeOnly = 0
    anglesLUT.RescaleOnVisibilityChange = 0
    anglesLUT.EnableOpacityMapping = 1
    anglesLUT.RGBPoints = [0.0, 0.23137254902, 0.298039215686, 0.752941176471, 0.9632241725921631, 0.865, 0.865, 0.865, 1.5707963267948966, 0.705882352941, 0.0156862745098, 0.149019607843]
    anglesLUT.UseLogScale = 0
    anglesLUT.ColorSpace = 'Diverging'
    anglesLUT.UseBelowRangeColor = 0
    anglesLUT.BelowRangeColor = [0.0, 0.0, 0.0]
    anglesLUT.UseAboveRangeColor = 0
    anglesLUT.AboveRangeColor = [0.5, 0.5, 0.5]
    anglesLUT.NanColor = [1.0, 1.0, 0.0]
    anglesLUT.NanOpacity = 1.0
    anglesLUT.Discretize = 1
    anglesLUT.NumberOfTableValues = 256
    anglesLUT.ScalarRangeInitialized = 1.0
    anglesLUT.HSVWrap = 0
    anglesLUT.VectorComponent = 0
    anglesLUT.VectorMode = 'Magnitude'
    anglesLUT.AllowDuplicateScalars = 1
    anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
    anglesLUT.ActiveAnnotatedValues = []
    anglesLUT.IndexedColors = [1.0, 1.0, 1.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0]
    anglesLUT.IndexedOpacities = [1.0, 1.0, 1.0, 1.0]

    # get opacity transfer function/opacity map for 'angles'
    anglesPWF = GetOpacityTransferFunction('angles')
    anglesPWF.Points = [0.0, 0.136764707416296, 0.5, 0.0, 0.705621357414266, 1.0, 0.5, 0.0, 0.82168139570297, 1.0, 0.5, 0.0, 0.9799451305746117, 1.0, 0.5, 0.0, 1.0960051688633157, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
    anglesPWF.AllowDuplicateScalars = 1
    anglesPWF.UseLogScale = 0
    anglesPWF.ScalarRangeInitialized = 1

    # Properties modified on anglesLUT
    anglesLUT.InterpretValuesAsCategories = 1
    anglesLUT.AnnotationsInitialized = 1

    # Properties modified on anglesLUT
    anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0', '1.5707963267948966', '1.5708']

    # Properties modified on anglesLUT
    anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0.78', '$\\pi/4$', '0', '0']
    anglesLUT.IndexedColors = [1.0, 1.0, 1.0, 1.0, 0.0, 0.0, 1.0, 0.0, 0.0]
    anglesLUT.IndexedOpacities = [1.0, 1.0, 1.0]

    # Properties modified on anglesLUT
    anglesLUT.Annotations = ['1.57', '$\\pi / 2$', '0', '0']
    anglesLUT.IndexedColors = [1.0, 1.0, 1.0, 1.0, 0.0, 0.0]
    anglesLUT.IndexedOpacities = [1.0, 1.0]

    # Properties modified on anglesLUT
    anglesLUT.Annotations = ['1.5707963267948966', '$\\pi / 2$', '0', '0']

    # Properties modified on anglesLUT
    anglesLUT.IndexedColors = [1.0, 0.0, 0.0, 1.0, 0.0, 0.0]

    # Properties modified on anglesLUT
    anglesLUT.IndexedColors = [1.0, 0.0, 0.0, 0.23137254901960785, 0.2980392156862745, 0.7529411764705882]
    # Properties modified on anglesLUT
    anglesLUT.IndexedColors = [0.7058823529411765, 0.01568627450980392, 0.14901960784313725, 0.23137254901960785, 0.2980392156862745, 0.7529411764705882]

    # Properties modified on anglesLUT
    anglesLUT.IndexedOpacities = [1.0, 0.02]

    # Properties modified on anglesLUT
    anglesLUT.IndexedOpacities = [1.0, 0.05]

    # Properties modified on anglesLUT
    anglesLUT.IndexedOpacities = [1.0, 0.1]

    # #TEST: (only for 100SP..)
    # anglesLUT.IndexedOpacities = [1.0, 0.03]
    # transform1Display.Opacity = 0.1  #overall Opacity


if case == 2:   #TEST
    # Properties modified on anglesLUT
    anglesLUT.RGBPoints = [0.0, 0.23137254902, 0.298039215686, 0.752941176471, 0.9632241725921631, 0.865, 0.865, 0.865, 1.5707963267948966, 1.0, 0.0, 0.0]



# if contour == 1:
#     # create a new 'Contour'
#     contour1 = Contour(Input=transform1)
#     contour1.ContourBy = ['POINTS', 'Type']
#     contour1.ComputeNormals = 1
#     contour1.ComputeGradients = 0
#     contour1.ComputeScalars = 1
#     contour1.OutputPointsPrecision = 'Same as input'
#     contour1.GenerateTriangles = 1
#     contour1.Isosurfaces = [3.0]
#     contour1.PointMergeMethod = 'Uniform Binning'
#
#     # init the 'Uniform Binning' selected for 'PointMergeMethod'
#     contour1.PointMergeMethod.Divisions = [50, 50, 50]
#     contour1.PointMergeMethod.Numberofpointsperbucket = 8
#
#     # find source
#     xMLStructuredGridReader1 = FindSource('XMLStructuredGridReader1')
#
#     # find source
#     line1 = FindSource('Line1')
#
#     # Properties modified on contour1
#     contour1.ContourBy = ['POINTS', 'angles']
#     contour1.Isosurfaces = [0.1]
#
#     # get active view
#     renderView1 = GetActiveViewOrCreate('RenderView')
#     # uncomment following to set a specific view size
#     # renderView1.ViewSize = [1257, 934]
#
#     # show data in view
#     contour1Display = Show(contour1, renderView1)
#
#     # get color transfer function/color map for 'angles'
#     anglesLUT = GetColorTransferFunction('angles')
#     anglesLUT.AutomaticRescaleRangeMode = "Grow and update on 'Apply'"
#     anglesLUT.InterpretValuesAsCategories = 0
#     anglesLUT.AnnotationsInitialized = 1
#     anglesLUT.ShowCategoricalColorsinDataRangeOnly = 0
#     anglesLUT.RescaleOnVisibilityChange = 0
#     anglesLUT.EnableOpacityMapping = 1
#     anglesLUT.RGBPoints = [0.0, 0.23137254902, 0.298039215686, 0.752941176471, 0.9632241725921631, 0.865, 0.865, 0.865, 1.5707963267948966, 0.705882352941, 0.0156862745098, 0.149019607843]
#     anglesLUT.UseLogScale = 0
#     anglesLUT.ColorSpace = 'Diverging'
#     anglesLUT.UseBelowRangeColor = 0
#     anglesLUT.BelowRangeColor = [0.0, 0.0, 0.0]
#     anglesLUT.UseAboveRangeColor = 0
#     anglesLUT.AboveRangeColor = [0.5, 0.5, 0.5]
#     anglesLUT.NanColor = [1.0, 1.0, 0.0]
#     anglesLUT.NanOpacity = 1.0
#     anglesLUT.Discretize = 1
#     anglesLUT.NumberOfTableValues = 256
#     anglesLUT.ScalarRangeInitialized = 1.0
#     anglesLUT.HSVWrap = 0
#     anglesLUT.VectorComponent = 0
#     anglesLUT.VectorMode = 'Magnitude'
#     anglesLUT.AllowDuplicateScalars = 1
#     anglesLUT.Annotations = ['1.5707963267948966', '$\\pi / 2$', '0', '0']
#     anglesLUT.ActiveAnnotatedValues = []
#     anglesLUT.IndexedColors = [0.7058823529411765, 0.01568627450980392, 0.14901960784313725, 0.23137254901960785, 0.2980392156862745, 0.7529411764705882]
#     anglesLUT.IndexedOpacities = [1.0, 0.1]
#
#     # trace defaults for the display properties.
#     contour1Display.Representation = 'Surface'
#     contour1Display.AmbientColor = [1.0, 1.0, 1.0]
#     contour1Display.ColorArrayName = ['POINTS', 'angles']
#     contour1Display.DiffuseColor = [1.0, 1.0, 1.0]
#     contour1Display.LookupTable = anglesLUT
#     contour1Display.MapScalars = 1
#     contour1Display.MultiComponentsMapping = 0
#     contour1Display.InterpolateScalarsBeforeMapping = 1
#     contour1Display.Opacity = 1.0
#     contour1Display.PointSize = 2.0
#     contour1Display.LineWidth = 1.0
#     contour1Display.RenderLinesAsTubes = 0
#     contour1Display.RenderPointsAsSpheres = 0
#     contour1Display.Interpolation = 'Gouraud'
#     contour1Display.Specular = 0.0
#     contour1Display.SpecularColor = [1.0, 1.0, 1.0]
#     contour1Display.SpecularPower = 100.0
#     contour1Display.Luminosity = 0.0
#     contour1Display.Ambient = 0.0
#     contour1Display.Diffuse = 1.0
#     contour1Display.EdgeColor = [0.0, 0.0, 0.5]
#     contour1Display.BackfaceRepresentation = 'Follow Frontface'
#     contour1Display.BackfaceAmbientColor = [1.0, 1.0, 1.0]
#     contour1Display.BackfaceDiffuseColor = [1.0, 1.0, 1.0]
#     contour1Display.BackfaceOpacity = 1.0
#     contour1Display.Position = [0.0, 0.0, 0.0]
#     contour1Display.Scale = [1.0, 1.0, 1.0]
#     contour1Display.Orientation = [0.0, 0.0, 0.0]
#     contour1Display.Origin = [0.0, 0.0, 0.0]
#     contour1Display.Pickable = 1
#     contour1Display.Texture = None
#     contour1Display.Triangulate = 0
#     contour1Display.UseShaderReplacements = 0
#     contour1Display.ShaderReplacements = ''
#     contour1Display.NonlinearSubdivisionLevel = 1
#     contour1Display.UseDataPartitions = 0
#     contour1Display.OSPRayUseScaleArray = 0
#     contour1Display.OSPRayScaleArray = 'angles'
#     contour1Display.OSPRayScaleFunction = 'PiecewiseFunction'
#     contour1Display.OSPRayMaterial = 'None'
#     contour1Display.Orient = 0
#     contour1Display.OrientationMode = 'Direction'
#     contour1Display.SelectOrientationVectors = 'None'
#     contour1Display.Scaling = 0
#     contour1Display.ScaleMode = 'No Data Scaling Off'
#     contour1Display.ScaleFactor = 0.1
#     contour1Display.SelectScaleArray = 'angles'
#     contour1Display.GlyphType = 'Arrow'
#     contour1Display.UseGlyphTable = 0
#     contour1Display.GlyphTableIndexArray = 'angles'
#     contour1Display.UseCompositeGlyphTable = 0
#     contour1Display.UseGlyphCullingAndLOD = 0
#     contour1Display.LODValues = []
#     contour1Display.ColorByLODIndex = 0
#     contour1Display.GaussianRadius = 0.005
#     contour1Display.ShaderPreset = 'Sphere'
#     contour1Display.CustomTriangleScale = 3
#     contour1Display.CustomShader = """ // This custom shader code define a gaussian blur
#      // Please take a look into vtkSMPointGaussianRepresentation.cxx
#      // for other custom shader examples
#      //VTK::Color::Impl
#        float dist2 = dot(offsetVCVSOutput.xy,offsetVCVSOutput.xy);
#        float gaussian = exp(-0.5*dist2);
#        opacity = opacity*gaussian;
#     """
#     contour1Display.Emissive = 0
#     contour1Display.ScaleByArray = 0
#     contour1Display.SetScaleArray = ['POINTS', 'angles']
#     contour1Display.ScaleArrayComponent = ''
#     contour1Display.UseScaleFunction = 1
#     contour1Display.ScaleTransferFunction = 'PiecewiseFunction'
#     contour1Display.OpacityByArray = 0
#     contour1Display.OpacityArray = ['POINTS', 'angles']
#     contour1Display.OpacityArrayComponent = ''
#     contour1Display.OpacityTransferFunction = 'PiecewiseFunction'
#     contour1Display.DataAxesGrid = 'GridAxesRepresentation'
#     contour1Display.SelectionCellLabelBold = 0
#     contour1Display.SelectionCellLabelColor = [0.0, 1.0, 0.0]
#     contour1Display.SelectionCellLabelFontFamily = 'Arial'
#     contour1Display.SelectionCellLabelFontFile = ''
#     contour1Display.SelectionCellLabelFontSize = 18
#     contour1Display.SelectionCellLabelItalic = 0
#     contour1Display.SelectionCellLabelJustification = 'Left'
#     contour1Display.SelectionCellLabelOpacity = 1.0
#     contour1Display.SelectionCellLabelShadow = 0
#     contour1Display.SelectionPointLabelBold = 0
#     contour1Display.SelectionPointLabelColor = [1.0, 1.0, 0.0]
#     contour1Display.SelectionPointLabelFontFamily = 'Arial'
#     contour1Display.SelectionPointLabelFontFile = ''
#     contour1Display.SelectionPointLabelFontSize = 18
#     contour1Display.SelectionPointLabelItalic = 0
#     contour1Display.SelectionPointLabelJustification = 'Left'
#     contour1Display.SelectionPointLabelOpacity = 1.0
#     contour1Display.SelectionPointLabelShadow = 0
#     contour1Display.PolarAxes = 'PolarAxesRepresentation'
#
#     # init the 'PiecewiseFunction' selected for 'OSPRayScaleFunction'
#     contour1Display.OSPRayScaleFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.213836476688135, 0.625, 0.5, 0.0, 1.3616352081298828, 0.6691176295280457, 0.5, 0.0, 1.6666333299996667, 0.8676470518112183, 0.5, 0.0, 1.7358490228652954, 0.6911764740943909, 0.5, 0.0, 2.0, 0.8014705777168274, 0.5, 0.0]
#     contour1Display.OSPRayScaleFunction.UseLogScale = 0
#
#     # init the 'Arrow' selected for 'GlyphType'
#     contour1Display.GlyphType.TipResolution = 6
#     contour1Display.GlyphType.TipRadius = 0.1
#     contour1Display.GlyphType.TipLength = 0.35
#     contour1Display.GlyphType.ShaftResolution = 6
#     contour1Display.GlyphType.ShaftRadius = 0.03
#     contour1Display.GlyphType.Invert = 0
#
#     # init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
#     contour1Display.ScaleTransferFunction.Points = [0.10000000149011612, 0.8602941036224365, 0.5, 0.0, 0.10000326437580777, 0.625, 0.5, 0.0, 0.10000551960547455, 0.6691176295280457, 0.5, 0.0, 0.10001017350748062, 0.8676470518112183, 0.5, 0.0, 0.10001122965513787, 0.6911764740943909, 0.5, 0.0, 0.10001526027917862, 0.8014705777168274, 0.5, 0.0]
#     contour1Display.ScaleTransferFunction.UseLogScale = 0
#
#     # init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
#     contour1Display.OpacityTransferFunction.Points = [0.10000000149011612, 0.8602941036224365, 0.5, 0.0, 0.10000326437580777, 0.625, 0.5, 0.0, 0.10000551960547455, 0.6691176295280457, 0.5, 0.0, 0.10001017350748062, 0.8676470518112183, 0.5, 0.0, 0.10001122965513787, 0.6911764740943909, 0.5, 0.0, 0.10001526027917862, 0.8014705777168274, 0.5, 0.0]
#     contour1Display.OpacityTransferFunction.UseLogScale = 0
#
#     # init the 'GridAxesRepresentation' selected for 'DataAxesGrid'
#     contour1Display.DataAxesGrid.XTitle = 'X Axis'
#     contour1Display.DataAxesGrid.YTitle = 'Y Axis'
#     contour1Display.DataAxesGrid.ZTitle = 'Z Axis'
#     contour1Display.DataAxesGrid.XTitleColor = [1.0, 1.0, 1.0]
#     contour1Display.DataAxesGrid.XTitleFontFamily = 'Arial'
#     contour1Display.DataAxesGrid.XTitleFontFile = ''
#     contour1Display.DataAxesGrid.XTitleBold = 0
#     contour1Display.DataAxesGrid.XTitleItalic = 0
#     contour1Display.DataAxesGrid.XTitleFontSize = 12
#     contour1Display.DataAxesGrid.XTitleShadow = 0
#     contour1Display.DataAxesGrid.XTitleOpacity = 1.0
#     contour1Display.DataAxesGrid.YTitleColor = [1.0, 1.0, 1.0]
#     contour1Display.DataAxesGrid.YTitleFontFamily = 'Arial'
#     contour1Display.DataAxesGrid.YTitleFontFile = ''
#     contour1Display.DataAxesGrid.YTitleBold = 0
#     contour1Display.DataAxesGrid.YTitleItalic = 0
#     contour1Display.DataAxesGrid.YTitleFontSize = 12
#     contour1Display.DataAxesGrid.YTitleShadow = 0
#     contour1Display.DataAxesGrid.YTitleOpacity = 1.0
#     contour1Display.DataAxesGrid.ZTitleColor = [1.0, 1.0, 1.0]
#     contour1Display.DataAxesGrid.ZTitleFontFamily = 'Arial'
#     contour1Display.DataAxesGrid.ZTitleFontFile = ''
#     contour1Display.DataAxesGrid.ZTitleBold = 0
#     contour1Display.DataAxesGrid.ZTitleItalic = 0
#     contour1Display.DataAxesGrid.ZTitleFontSize = 12
#     contour1Display.DataAxesGrid.ZTitleShadow = 0
#     contour1Display.DataAxesGrid.ZTitleOpacity = 1.0
#     contour1Display.DataAxesGrid.FacesToRender = 63
#     contour1Display.DataAxesGrid.CullBackface = 0
#     contour1Display.DataAxesGrid.CullFrontface = 1
#     contour1Display.DataAxesGrid.GridColor = [1.0, 1.0, 1.0]
#     contour1Display.DataAxesGrid.ShowGrid = 0
#     contour1Display.DataAxesGrid.ShowEdges = 1
#     contour1Display.DataAxesGrid.ShowTicks = 1
#     contour1Display.DataAxesGrid.LabelUniqueEdgesOnly = 1
#     contour1Display.DataAxesGrid.AxesToLabel = 63
#     contour1Display.DataAxesGrid.XLabelColor = [1.0, 1.0, 1.0]
#     contour1Display.DataAxesGrid.XLabelFontFamily = 'Arial'
#     contour1Display.DataAxesGrid.XLabelFontFile = ''
#     contour1Display.DataAxesGrid.XLabelBold = 0
#     contour1Display.DataAxesGrid.XLabelItalic = 0
#     contour1Display.DataAxesGrid.XLabelFontSize = 12
#     contour1Display.DataAxesGrid.XLabelShadow = 0
#     contour1Display.DataAxesGrid.XLabelOpacity = 1.0
#     contour1Display.DataAxesGrid.YLabelColor = [1.0, 1.0, 1.0]
#     contour1Display.DataAxesGrid.YLabelFontFamily = 'Arial'
#     contour1Display.DataAxesGrid.YLabelFontFile = ''
#     contour1Display.DataAxesGrid.YLabelBold = 0
#     contour1Display.DataAxesGrid.YLabelItalic = 0
#     contour1Display.DataAxesGrid.YLabelFontSize = 12
#     contour1Display.DataAxesGrid.YLabelShadow = 0
#     contour1Display.DataAxesGrid.YLabelOpacity = 1.0
#     contour1Display.DataAxesGrid.ZLabelColor = [1.0, 1.0, 1.0]
#     contour1Display.DataAxesGrid.ZLabelFontFamily = 'Arial'
#     contour1Display.DataAxesGrid.ZLabelFontFile = ''
#     contour1Display.DataAxesGrid.ZLabelBold = 0
#     contour1Display.DataAxesGrid.ZLabelItalic = 0
#     contour1Display.DataAxesGrid.ZLabelFontSize = 12
#     contour1Display.DataAxesGrid.ZLabelShadow = 0
#     contour1Display.DataAxesGrid.ZLabelOpacity = 1.0
#     contour1Display.DataAxesGrid.XAxisNotation = 'Mixed'
#     contour1Display.DataAxesGrid.XAxisPrecision = 2
#     contour1Display.DataAxesGrid.XAxisUseCustomLabels = 0
#     contour1Display.DataAxesGrid.XAxisLabels = []
#     contour1Display.DataAxesGrid.YAxisNotation = 'Mixed'
#     contour1Display.DataAxesGrid.YAxisPrecision = 2
#     contour1Display.DataAxesGrid.YAxisUseCustomLabels = 0
#     contour1Display.DataAxesGrid.YAxisLabels = []
#     contour1Display.DataAxesGrid.ZAxisNotation = 'Mixed'
#     contour1Display.DataAxesGrid.ZAxisPrecision = 2
#     contour1Display.DataAxesGrid.ZAxisUseCustomLabels = 0
#     contour1Display.DataAxesGrid.ZAxisLabels = []
#     contour1Display.DataAxesGrid.UseCustomBounds = 0
#     contour1Display.DataAxesGrid.CustomBounds = [0.0, 1.0, 0.0, 1.0, 0.0, 1.0]
#
#     # init the 'PolarAxesRepresentation' selected for 'PolarAxes'
#     contour1Display.PolarAxes.Visibility = 0
#     contour1Display.PolarAxes.Translation = [0.0, 0.0, 0.0]
#     contour1Display.PolarAxes.Scale = [1.0, 1.0, 1.0]
#     contour1Display.PolarAxes.Orientation = [0.0, 0.0, 0.0]
#     contour1Display.PolarAxes.EnableCustomBounds = [0, 0, 0]
#     contour1Display.PolarAxes.CustomBounds = [0.0, 1.0, 0.0, 1.0, 0.0, 1.0]
#     contour1Display.PolarAxes.EnableCustomRange = 0
#     contour1Display.PolarAxes.CustomRange = [0.0, 1.0]
#     contour1Display.PolarAxes.PolarAxisVisibility = 1
#     contour1Display.PolarAxes.RadialAxesVisibility = 1
#     contour1Display.PolarAxes.DrawRadialGridlines = 1
#     contour1Display.PolarAxes.PolarArcsVisibility = 1
#     contour1Display.PolarAxes.DrawPolarArcsGridlines = 1
#     contour1Display.PolarAxes.NumberOfRadialAxes = 0
#     contour1Display.PolarAxes.AutoSubdividePolarAxis = 1
#     contour1Display.PolarAxes.NumberOfPolarAxis = 0
#     contour1Display.PolarAxes.MinimumRadius = 0.0
#     contour1Display.PolarAxes.MinimumAngle = 0.0
#     contour1Display.PolarAxes.MaximumAngle = 90.0
#     contour1Display.PolarAxes.RadialAxesOriginToPolarAxis = 1
#     contour1Display.PolarAxes.Ratio = 1.0
#     contour1Display.PolarAxes.PolarAxisColor = [1.0, 1.0, 1.0]
#     contour1Display.PolarAxes.PolarArcsColor = [1.0, 1.0, 1.0]
#     contour1Display.PolarAxes.LastRadialAxisColor = [1.0, 1.0, 1.0]
#     contour1Display.PolarAxes.SecondaryPolarArcsColor = [1.0, 1.0, 1.0]
#     contour1Display.PolarAxes.SecondaryRadialAxesColor = [1.0, 1.0, 1.0]
#     contour1Display.PolarAxes.PolarAxisTitleVisibility = 1
#     contour1Display.PolarAxes.PolarAxisTitle = 'Radial Distance'
#     contour1Display.PolarAxes.PolarAxisTitleLocation = 'Bottom'
#     contour1Display.PolarAxes.PolarLabelVisibility = 1
#     contour1Display.PolarAxes.PolarLabelFormat = '%-#6.3g'
#     contour1Display.PolarAxes.PolarLabelExponentLocation = 'Labels'
#     contour1Display.PolarAxes.RadialLabelVisibility = 1
#     contour1Display.PolarAxes.RadialLabelFormat = '%-#3.1f'
#     contour1Display.PolarAxes.RadialLabelLocation = 'Bottom'
#     contour1Display.PolarAxes.RadialUnitsVisibility = 1
#     contour1Display.PolarAxes.ScreenSize = 10.0
#     contour1Display.PolarAxes.PolarAxisTitleColor = [1.0, 1.0, 1.0]
#     contour1Display.PolarAxes.PolarAxisTitleOpacity = 1.0
#     contour1Display.PolarAxes.PolarAxisTitleFontFamily = 'Arial'
#     contour1Display.PolarAxes.PolarAxisTitleFontFile = ''
#     contour1Display.PolarAxes.PolarAxisTitleBold = 0
#     contour1Display.PolarAxes.PolarAxisTitleItalic = 0
#     contour1Display.PolarAxes.PolarAxisTitleShadow = 0
#     contour1Display.PolarAxes.PolarAxisTitleFontSize = 12
#     contour1Display.PolarAxes.PolarAxisLabelColor = [1.0, 1.0, 1.0]
#     contour1Display.PolarAxes.PolarAxisLabelOpacity = 1.0
#     contour1Display.PolarAxes.PolarAxisLabelFontFamily = 'Arial'
#     contour1Display.PolarAxes.PolarAxisLabelFontFile = ''
#     contour1Display.PolarAxes.PolarAxisLabelBold = 0
#     contour1Display.PolarAxes.PolarAxisLabelItalic = 0
#     contour1Display.PolarAxes.PolarAxisLabelShadow = 0
#     contour1Display.PolarAxes.PolarAxisLabelFontSize = 12
#     contour1Display.PolarAxes.LastRadialAxisTextColor = [1.0, 1.0, 1.0]
#     contour1Display.PolarAxes.LastRadialAxisTextOpacity = 1.0
#     contour1Display.PolarAxes.LastRadialAxisTextFontFamily = 'Arial'
#     contour1Display.PolarAxes.LastRadialAxisTextFontFile = ''
#     contour1Display.PolarAxes.LastRadialAxisTextBold = 0
#     contour1Display.PolarAxes.LastRadialAxisTextItalic = 0
#     contour1Display.PolarAxes.LastRadialAxisTextShadow = 0
#     contour1Display.PolarAxes.LastRadialAxisTextFontSize = 12
#     contour1Display.PolarAxes.SecondaryRadialAxesTextColor = [1.0, 1.0, 1.0]
#     contour1Display.PolarAxes.SecondaryRadialAxesTextOpacity = 1.0
#     contour1Display.PolarAxes.SecondaryRadialAxesTextFontFamily = 'Arial'
#     contour1Display.PolarAxes.SecondaryRadialAxesTextFontFile = ''
#     contour1Display.PolarAxes.SecondaryRadialAxesTextBold = 0
#     contour1Display.PolarAxes.SecondaryRadialAxesTextItalic = 0
#     contour1Display.PolarAxes.SecondaryRadialAxesTextShadow = 0
#     contour1Display.PolarAxes.SecondaryRadialAxesTextFontSize = 12
#     contour1Display.PolarAxes.EnableDistanceLOD = 1
#     contour1Display.PolarAxes.DistanceLODThreshold = 0.7
#     contour1Display.PolarAxes.EnableViewAngleLOD = 1
#     contour1Display.PolarAxes.ViewAngleLODThreshold = 0.7
#     contour1Display.PolarAxes.SmallestVisiblePolarAngle = 0.5
#     contour1Display.PolarAxes.PolarTicksVisibility = 1
#     contour1Display.PolarAxes.ArcTicksOriginToPolarAxis = 1
#     contour1Display.PolarAxes.TickLocation = 'Both'
#     contour1Display.PolarAxes.AxisTickVisibility = 1
#     contour1Display.PolarAxes.AxisMinorTickVisibility = 0
#     contour1Display.PolarAxes.ArcTickVisibility = 1
#     contour1Display.PolarAxes.ArcMinorTickVisibility = 0
#     contour1Display.PolarAxes.DeltaAngleMajor = 10.0
#     contour1Display.PolarAxes.DeltaAngleMinor = 5.0
#     contour1Display.PolarAxes.PolarAxisMajorTickSize = 0.0
#     contour1Display.PolarAxes.PolarAxisTickRatioSize = 0.3
#     contour1Display.PolarAxes.PolarAxisMajorTickThickness = 1.0
#     contour1Display.PolarAxes.PolarAxisTickRatioThickness = 0.5
#     contour1Display.PolarAxes.LastRadialAxisMajorTickSize = 0.0
#     contour1Display.PolarAxes.LastRadialAxisTickRatioSize = 0.3
#     contour1Display.PolarAxes.LastRadialAxisMajorTickThickness = 1.0
#     contour1Display.PolarAxes.LastRadialAxisTickRatioThickness = 0.5
#     contour1Display.PolarAxes.ArcMajorTickSize = 0.0
#     contour1Display.PolarAxes.ArcTickRatioSize = 0.3
#     contour1Display.PolarAxes.ArcMajorTickThickness = 1.0
#     contour1Display.PolarAxes.ArcTickRatioThickness = 0.5
#     contour1Display.PolarAxes.Use2DMode = 0
#     contour1Display.PolarAxes.UseLogAxis = 0
#
#     # show color bar/color legend
#     contour1Display.SetScalarBarVisibility(renderView1, True)
#
#     # update the view to ensure updated data information
#     renderView1.Update()
#
#     # get opacity transfer function/opacity map for 'angles'
#     anglesPWF = GetOpacityTransferFunction('angles')
#     anglesPWF.Points = [0.0, 0.136764707416296, 0.5, 0.0, 0.705621357414266, 1.0, 0.5, 0.0, 0.82168139570297, 1.0, 0.5, 0.0, 0.9799451305746117, 1.0, 0.5, 0.0, 1.0960051688633157, 1.0, 0.5, 0.0, 1.5707963267948966, 1.0, 0.5, 0.0]
#     anglesPWF.AllowDuplicateScalars = 1
#     anglesPWF.UseLogScale = 0
#     anglesPWF.ScalarRangeInitialized = 1
#
#     # turn off scalar coloring
#     ColorBy(contour1Display, None)
#
#     # Hide the scalar bar for this color map if no visible data is colored by it.
#     HideScalarBarIfNotNeeded(anglesLUT, renderView1)

if contour == 1:
    # create a new 'Contour'
    contour1 = Contour(Input=transform1)
    contour1.ContourBy = ['POINTS', 'Type']
    contour1.ComputeNormals = 1
    contour1.ComputeGradients = 0
    contour1.ComputeScalars = 1
    contour1.OutputPointsPrecision = 'Same as input'
    contour1.GenerateTriangles = 1
    contour1.Isosurfaces = [3.0]
    contour1.PointMergeMethod = 'Uniform Binning'

    # init the 'Uniform Binning' selected for 'PointMergeMethod'
    contour1.PointMergeMethod.Divisions = [50, 50, 50]
    contour1.PointMergeMethod.Numberofpointsperbucket = 8

    # find source
    xMLStructuredGridReader1 = FindSource('XMLStructuredGridReader1')

    # find source
    line1 = FindSource('Line1')

    # Properties modified on contour1
    contour1.ContourBy = ['POINTS', 'angles']
    contour1.Isosurfaces = [0.05]

    # get active view
    renderView1 = GetActiveViewOrCreate('RenderView')
    # uncomment following to set a specific view size
    # renderView1.ViewSize = [1257, 934]

    # show data in view
    contour1Display = Show(contour1, renderView1)

    # trace defaults for the display properties.
    contour1Display.Representation = 'Surface'
    contour1Display.AmbientColor = [1.0, 1.0, 1.0]
    contour1Display.ColorArrayName = ['POINTS', 'angles']
    contour1Display.DiffuseColor = [1.0, 1.0, 1.0]
    contour1Display.LookupTable = anglesLUT
    contour1Display.MapScalars = 1
    contour1Display.MultiComponentsMapping = 0
    contour1Display.InterpolateScalarsBeforeMapping = 1
    contour1Display.Opacity = 1.0
    contour1Display.PointSize = 2.0
    contour1Display.LineWidth = 1.0
    contour1Display.RenderLinesAsTubes = 0
    contour1Display.RenderPointsAsSpheres = 0
    contour1Display.Interpolation = 'Gouraud'
    contour1Display.Specular = 0.0
    contour1Display.SpecularColor = [1.0, 1.0, 1.0]
    contour1Display.SpecularPower = 100.0
    contour1Display.Luminosity = 0.0
    contour1Display.Ambient = 0.0
    contour1Display.Diffuse = 1.0
    contour1Display.EdgeColor = [0.0, 0.0, 0.5]
    contour1Display.BackfaceRepresentation = 'Follow Frontface'
    contour1Display.BackfaceAmbientColor = [1.0, 1.0, 1.0]
    contour1Display.BackfaceDiffuseColor = [1.0, 1.0, 1.0]
    contour1Display.BackfaceOpacity = 1.0
    contour1Display.Position = [0.0, 0.0, 0.0]
    contour1Display.Scale = [1.0, 1.0, 1.0]
    contour1Display.Orientation = [0.0, 0.0, 0.0]
    contour1Display.Origin = [0.0, 0.0, 0.0]
    contour1Display.Pickable = 1
    contour1Display.Texture = None
    contour1Display.Triangulate = 0
    contour1Display.UseShaderReplacements = 0
    contour1Display.ShaderReplacements = ''
    contour1Display.NonlinearSubdivisionLevel = 1
    contour1Display.UseDataPartitions = 0
    contour1Display.OSPRayUseScaleArray = 0
    contour1Display.OSPRayScaleArray = 'angles'
    contour1Display.OSPRayScaleFunction = 'PiecewiseFunction'
    contour1Display.OSPRayMaterial = 'None'
    contour1Display.Orient = 0
    contour1Display.OrientationMode = 'Direction'
    contour1Display.SelectOrientationVectors = 'None'
    contour1Display.Scaling = 0
    contour1Display.ScaleMode = 'No Data Scaling Off'
    contour1Display.ScaleFactor = 0.1
    contour1Display.SelectScaleArray = 'angles'
    contour1Display.GlyphType = 'Arrow'
    contour1Display.UseGlyphTable = 0
    contour1Display.GlyphTableIndexArray = 'angles'
    contour1Display.UseCompositeGlyphTable = 0
    contour1Display.UseGlyphCullingAndLOD = 0
    contour1Display.LODValues = []
    contour1Display.ColorByLODIndex = 0
    contour1Display.GaussianRadius = 0.005
    contour1Display.ShaderPreset = 'Sphere'
    contour1Display.CustomTriangleScale = 3
    contour1Display.CustomShader = """ // This custom shader code define a gaussian blur
     // Please take a look into vtkSMPointGaussianRepresentation.cxx
     // for other custom shader examples
     //VTK::Color::Impl
       float dist2 = dot(offsetVCVSOutput.xy,offsetVCVSOutput.xy);
       float gaussian = exp(-0.5*dist2);
       opacity = opacity*gaussian;
    """
    contour1Display.Emissive = 0
    contour1Display.ScaleByArray = 0
    contour1Display.SetScaleArray = ['POINTS', 'angles']
    contour1Display.ScaleArrayComponent = ''
    contour1Display.UseScaleFunction = 1
    contour1Display.ScaleTransferFunction = 'PiecewiseFunction'
    contour1Display.OpacityByArray = 0
    contour1Display.OpacityArray = ['POINTS', 'angles']
    contour1Display.OpacityArrayComponent = ''
    contour1Display.OpacityTransferFunction = 'PiecewiseFunction'
    contour1Display.DataAxesGrid = 'GridAxesRepresentation'
    contour1Display.SelectionCellLabelBold = 0
    contour1Display.SelectionCellLabelColor = [0.0, 1.0, 0.0]
    contour1Display.SelectionCellLabelFontFamily = 'Arial'
    contour1Display.SelectionCellLabelFontFile = ''
    contour1Display.SelectionCellLabelFontSize = 18
    contour1Display.SelectionCellLabelItalic = 0
    contour1Display.SelectionCellLabelJustification = 'Left'
    contour1Display.SelectionCellLabelOpacity = 1.0
    contour1Display.SelectionCellLabelShadow = 0
    contour1Display.SelectionPointLabelBold = 0
    contour1Display.SelectionPointLabelColor = [1.0, 1.0, 0.0]
    contour1Display.SelectionPointLabelFontFamily = 'Arial'
    contour1Display.SelectionPointLabelFontFile = ''
    contour1Display.SelectionPointLabelFontSize = 18
    contour1Display.SelectionPointLabelItalic = 0
    contour1Display.SelectionPointLabelJustification = 'Left'
    contour1Display.SelectionPointLabelOpacity = 1.0
    contour1Display.SelectionPointLabelShadow = 0
    contour1Display.PolarAxes = 'PolarAxesRepresentation'

    # init the 'PiecewiseFunction' selected for 'OSPRayScaleFunction'
    contour1Display.OSPRayScaleFunction.Points = [1.0, 0.8602941036224365, 0.5, 0.0, 1.213836476688135, 0.625, 0.5, 0.0, 1.3616352081298828, 0.6691176295280457, 0.5, 0.0, 1.6666333299996667, 0.8676470518112183, 0.5, 0.0, 1.7358490228652954, 0.6911764740943909, 0.5, 0.0, 2.0, 0.8014705777168274, 0.5, 0.0]
    contour1Display.OSPRayScaleFunction.UseLogScale = 0

    # init the 'Arrow' selected for 'GlyphType'
    contour1Display.GlyphType.TipResolution = 6
    contour1Display.GlyphType.TipRadius = 0.1
    contour1Display.GlyphType.TipLength = 0.35
    contour1Display.GlyphType.ShaftResolution = 6
    contour1Display.GlyphType.ShaftRadius = 0.03
    contour1Display.GlyphType.Invert = 0

    # init the 'PiecewiseFunction' selected for 'ScaleTransferFunction'
    contour1Display.ScaleTransferFunction.Points = [0.05000000074505806, 0.8602941036224365, 0.5, 0.0, 0.050001632187903884, 0.625, 0.5, 0.0, 0.05000275980273727, 0.6691176295280457, 0.5, 0.0, 0.05000508675374031, 0.8676470518112183, 0.5, 0.0, 0.050005614827568934, 0.6911764740943909, 0.5, 0.0, 0.05000763013958931, 0.8014705777168274, 0.5, 0.0]
    contour1Display.ScaleTransferFunction.UseLogScale = 0

    # init the 'PiecewiseFunction' selected for 'OpacityTransferFunction'
    contour1Display.OpacityTransferFunction.Points = [0.05000000074505806, 0.8602941036224365, 0.5, 0.0, 0.050001632187903884, 0.625, 0.5, 0.0, 0.05000275980273727, 0.6691176295280457, 0.5, 0.0, 0.05000508675374031, 0.8676470518112183, 0.5, 0.0, 0.050005614827568934, 0.6911764740943909, 0.5, 0.0, 0.05000763013958931, 0.8014705777168274, 0.5, 0.0]
    contour1Display.OpacityTransferFunction.UseLogScale = 0

    # init the 'GridAxesRepresentation' selected for 'DataAxesGrid'
    contour1Display.DataAxesGrid.XTitle = 'X Axis'
    contour1Display.DataAxesGrid.YTitle = 'Y Axis'
    contour1Display.DataAxesGrid.ZTitle = 'Z Axis'
    contour1Display.DataAxesGrid.XTitleColor = [1.0, 1.0, 1.0]
    contour1Display.DataAxesGrid.XTitleFontFamily = 'Arial'
    contour1Display.DataAxesGrid.XTitleFontFile = ''
    contour1Display.DataAxesGrid.XTitleBold = 0
    contour1Display.DataAxesGrid.XTitleItalic = 0
    contour1Display.DataAxesGrid.XTitleFontSize = 12
    contour1Display.DataAxesGrid.XTitleShadow = 0
    contour1Display.DataAxesGrid.XTitleOpacity = 1.0
    contour1Display.DataAxesGrid.YTitleColor = [1.0, 1.0, 1.0]
    contour1Display.DataAxesGrid.YTitleFontFamily = 'Arial'
    contour1Display.DataAxesGrid.YTitleFontFile = ''
    contour1Display.DataAxesGrid.YTitleBold = 0
    contour1Display.DataAxesGrid.YTitleItalic = 0
    contour1Display.DataAxesGrid.YTitleFontSize = 12
    contour1Display.DataAxesGrid.YTitleShadow = 0
    contour1Display.DataAxesGrid.YTitleOpacity = 1.0
    contour1Display.DataAxesGrid.ZTitleColor = [1.0, 1.0, 1.0]
    contour1Display.DataAxesGrid.ZTitleFontFamily = 'Arial'
    contour1Display.DataAxesGrid.ZTitleFontFile = ''
    contour1Display.DataAxesGrid.ZTitleBold = 0
    contour1Display.DataAxesGrid.ZTitleItalic = 0
    contour1Display.DataAxesGrid.ZTitleFontSize = 12
    contour1Display.DataAxesGrid.ZTitleShadow = 0
    contour1Display.DataAxesGrid.ZTitleOpacity = 1.0
    contour1Display.DataAxesGrid.FacesToRender = 63
    contour1Display.DataAxesGrid.CullBackface = 0
    contour1Display.DataAxesGrid.CullFrontface = 1
    contour1Display.DataAxesGrid.GridColor = [1.0, 1.0, 1.0]
    contour1Display.DataAxesGrid.ShowGrid = 0
    contour1Display.DataAxesGrid.ShowEdges = 1
    contour1Display.DataAxesGrid.ShowTicks = 1
    contour1Display.DataAxesGrid.LabelUniqueEdgesOnly = 1
    contour1Display.DataAxesGrid.AxesToLabel = 63
    contour1Display.DataAxesGrid.XLabelColor = [1.0, 1.0, 1.0]
    contour1Display.DataAxesGrid.XLabelFontFamily = 'Arial'
    contour1Display.DataAxesGrid.XLabelFontFile = ''
    contour1Display.DataAxesGrid.XLabelBold = 0
    contour1Display.DataAxesGrid.XLabelItalic = 0
    contour1Display.DataAxesGrid.XLabelFontSize = 12
    contour1Display.DataAxesGrid.XLabelShadow = 0
    contour1Display.DataAxesGrid.XLabelOpacity = 1.0
    contour1Display.DataAxesGrid.YLabelColor = [1.0, 1.0, 1.0]
    contour1Display.DataAxesGrid.YLabelFontFamily = 'Arial'
    contour1Display.DataAxesGrid.YLabelFontFile = ''
    contour1Display.DataAxesGrid.YLabelBold = 0
    contour1Display.DataAxesGrid.YLabelItalic = 0
    contour1Display.DataAxesGrid.YLabelFontSize = 12
    contour1Display.DataAxesGrid.YLabelShadow = 0
    contour1Display.DataAxesGrid.YLabelOpacity = 1.0
    contour1Display.DataAxesGrid.ZLabelColor = [1.0, 1.0, 1.0]
    contour1Display.DataAxesGrid.ZLabelFontFamily = 'Arial'
    contour1Display.DataAxesGrid.ZLabelFontFile = ''
    contour1Display.DataAxesGrid.ZLabelBold = 0
    contour1Display.DataAxesGrid.ZLabelItalic = 0
    contour1Display.DataAxesGrid.ZLabelFontSize = 12
    contour1Display.DataAxesGrid.ZLabelShadow = 0
    contour1Display.DataAxesGrid.ZLabelOpacity = 1.0
    contour1Display.DataAxesGrid.XAxisNotation = 'Mixed'
    contour1Display.DataAxesGrid.XAxisPrecision = 2
    contour1Display.DataAxesGrid.XAxisUseCustomLabels = 0
    contour1Display.DataAxesGrid.XAxisLabels = []
    contour1Display.DataAxesGrid.YAxisNotation = 'Mixed'
    contour1Display.DataAxesGrid.YAxisPrecision = 2
    contour1Display.DataAxesGrid.YAxisUseCustomLabels = 0
    contour1Display.DataAxesGrid.YAxisLabels = []
    contour1Display.DataAxesGrid.ZAxisNotation = 'Mixed'
    contour1Display.DataAxesGrid.ZAxisPrecision = 2
    contour1Display.DataAxesGrid.ZAxisUseCustomLabels = 0
    contour1Display.DataAxesGrid.ZAxisLabels = []
    contour1Display.DataAxesGrid.UseCustomBounds = 0
    contour1Display.DataAxesGrid.CustomBounds = [0.0, 1.0, 0.0, 1.0, 0.0, 1.0]

    # init the 'PolarAxesRepresentation' selected for 'PolarAxes'
    contour1Display.PolarAxes.Visibility = 0
    contour1Display.PolarAxes.Translation = [0.0, 0.0, 0.0]
    contour1Display.PolarAxes.Scale = [1.0, 1.0, 1.0]
    contour1Display.PolarAxes.Orientation = [0.0, 0.0, 0.0]
    contour1Display.PolarAxes.EnableCustomBounds = [0, 0, 0]
    contour1Display.PolarAxes.CustomBounds = [0.0, 1.0, 0.0, 1.0, 0.0, 1.0]
    contour1Display.PolarAxes.EnableCustomRange = 0
    contour1Display.PolarAxes.CustomRange = [0.0, 1.0]
    contour1Display.PolarAxes.PolarAxisVisibility = 1
    contour1Display.PolarAxes.RadialAxesVisibility = 1
    contour1Display.PolarAxes.DrawRadialGridlines = 1
    contour1Display.PolarAxes.PolarArcsVisibility = 1
    contour1Display.PolarAxes.DrawPolarArcsGridlines = 1
    contour1Display.PolarAxes.NumberOfRadialAxes = 0
    contour1Display.PolarAxes.AutoSubdividePolarAxis = 1
    contour1Display.PolarAxes.NumberOfPolarAxis = 0
    contour1Display.PolarAxes.MinimumRadius = 0.0
    contour1Display.PolarAxes.MinimumAngle = 0.0
    contour1Display.PolarAxes.MaximumAngle = 90.0
    contour1Display.PolarAxes.RadialAxesOriginToPolarAxis = 1
    contour1Display.PolarAxes.Ratio = 1.0
    contour1Display.PolarAxes.PolarAxisColor = [1.0, 1.0, 1.0]
    contour1Display.PolarAxes.PolarArcsColor = [1.0, 1.0, 1.0]
    contour1Display.PolarAxes.LastRadialAxisColor = [1.0, 1.0, 1.0]
    contour1Display.PolarAxes.SecondaryPolarArcsColor = [1.0, 1.0, 1.0]
    contour1Display.PolarAxes.SecondaryRadialAxesColor = [1.0, 1.0, 1.0]
    contour1Display.PolarAxes.PolarAxisTitleVisibility = 1
    contour1Display.PolarAxes.PolarAxisTitle = 'Radial Distance'
    contour1Display.PolarAxes.PolarAxisTitleLocation = 'Bottom'
    contour1Display.PolarAxes.PolarLabelVisibility = 1
    contour1Display.PolarAxes.PolarLabelFormat = '%-#6.3g'
    contour1Display.PolarAxes.PolarLabelExponentLocation = 'Labels'
    contour1Display.PolarAxes.RadialLabelVisibility = 1
    contour1Display.PolarAxes.RadialLabelFormat = '%-#3.1f'
    contour1Display.PolarAxes.RadialLabelLocation = 'Bottom'
    contour1Display.PolarAxes.RadialUnitsVisibility = 1
    contour1Display.PolarAxes.ScreenSize = 10.0
    contour1Display.PolarAxes.PolarAxisTitleColor = [1.0, 1.0, 1.0]
    contour1Display.PolarAxes.PolarAxisTitleOpacity = 1.0
    contour1Display.PolarAxes.PolarAxisTitleFontFamily = 'Arial'
    contour1Display.PolarAxes.PolarAxisTitleFontFile = ''
    contour1Display.PolarAxes.PolarAxisTitleBold = 0
    contour1Display.PolarAxes.PolarAxisTitleItalic = 0
    contour1Display.PolarAxes.PolarAxisTitleShadow = 0
    contour1Display.PolarAxes.PolarAxisTitleFontSize = 12
    contour1Display.PolarAxes.PolarAxisLabelColor = [1.0, 1.0, 1.0]
    contour1Display.PolarAxes.PolarAxisLabelOpacity = 1.0
    contour1Display.PolarAxes.PolarAxisLabelFontFamily = 'Arial'
    contour1Display.PolarAxes.PolarAxisLabelFontFile = ''
    contour1Display.PolarAxes.PolarAxisLabelBold = 0
    contour1Display.PolarAxes.PolarAxisLabelItalic = 0
    contour1Display.PolarAxes.PolarAxisLabelShadow = 0
    contour1Display.PolarAxes.PolarAxisLabelFontSize = 12
    contour1Display.PolarAxes.LastRadialAxisTextColor = [1.0, 1.0, 1.0]
    contour1Display.PolarAxes.LastRadialAxisTextOpacity = 1.0
    contour1Display.PolarAxes.LastRadialAxisTextFontFamily = 'Arial'
    contour1Display.PolarAxes.LastRadialAxisTextFontFile = ''
    contour1Display.PolarAxes.LastRadialAxisTextBold = 0
    contour1Display.PolarAxes.LastRadialAxisTextItalic = 0
    contour1Display.PolarAxes.LastRadialAxisTextShadow = 0
    contour1Display.PolarAxes.LastRadialAxisTextFontSize = 12
    contour1Display.PolarAxes.SecondaryRadialAxesTextColor = [1.0, 1.0, 1.0]
    contour1Display.PolarAxes.SecondaryRadialAxesTextOpacity = 1.0
    contour1Display.PolarAxes.SecondaryRadialAxesTextFontFamily = 'Arial'
    contour1Display.PolarAxes.SecondaryRadialAxesTextFontFile = ''
    contour1Display.PolarAxes.SecondaryRadialAxesTextBold = 0
    contour1Display.PolarAxes.SecondaryRadialAxesTextItalic = 0
    contour1Display.PolarAxes.SecondaryRadialAxesTextShadow = 0
    contour1Display.PolarAxes.SecondaryRadialAxesTextFontSize = 12
    contour1Display.PolarAxes.EnableDistanceLOD = 1
    contour1Display.PolarAxes.DistanceLODThreshold = 0.7
    contour1Display.PolarAxes.EnableViewAngleLOD = 1
    contour1Display.PolarAxes.ViewAngleLODThreshold = 0.7
    contour1Display.PolarAxes.SmallestVisiblePolarAngle = 0.5
    contour1Display.PolarAxes.PolarTicksVisibility = 1
    contour1Display.PolarAxes.ArcTicksOriginToPolarAxis = 1
    contour1Display.PolarAxes.TickLocation = 'Both'
    contour1Display.PolarAxes.AxisTickVisibility = 1
    contour1Display.PolarAxes.AxisMinorTickVisibility = 0
    contour1Display.PolarAxes.ArcTickVisibility = 1
    contour1Display.PolarAxes.ArcMinorTickVisibility = 0
    contour1Display.PolarAxes.DeltaAngleMajor = 10.0
    contour1Display.PolarAxes.DeltaAngleMinor = 5.0
    contour1Display.PolarAxes.PolarAxisMajorTickSize = 0.0
    contour1Display.PolarAxes.PolarAxisTickRatioSize = 0.3
    contour1Display.PolarAxes.PolarAxisMajorTickThickness = 1.0
    contour1Display.PolarAxes.PolarAxisTickRatioThickness = 0.5
    contour1Display.PolarAxes.LastRadialAxisMajorTickSize = 0.0
    contour1Display.PolarAxes.LastRadialAxisTickRatioSize = 0.3
    contour1Display.PolarAxes.LastRadialAxisMajorTickThickness = 1.0
    contour1Display.PolarAxes.LastRadialAxisTickRatioThickness = 0.5
    contour1Display.PolarAxes.ArcMajorTickSize = 0.0
    contour1Display.PolarAxes.ArcTickRatioSize = 0.3
    contour1Display.PolarAxes.ArcMajorTickThickness = 1.0
    contour1Display.PolarAxes.ArcTickRatioThickness = 0.5
    contour1Display.PolarAxes.Use2DMode = 0
    contour1Display.PolarAxes.UseLogAxis = 0

    # show color bar/color legend
    contour1Display.SetScalarBarVisibility(renderView1, True)

    # update the view to ensure updated data information
    renderView1.Update()

    # turn off scalar coloring
    ColorBy(contour1Display, None)

    # Hide the scalar bar for this color map if no visible data is colored by it.
    HideScalarBarIfNotNeeded(anglesLUT, renderView1)


# update the view to ensure updated data information
renderView1.Update()


# ----------------- EXPORT -----------------
# save screenshot
# SaveScreenshot('/home/klaus/Desktop/PhaseDiagramPlot.png', renderView1, ImageResolution=[1257, 934])
# SaveScreenshot('/home/klaus/Desktop/PhaseDiagramPlot.png', renderView1, ImageResolution=[2514, 1868])
# SaveScreenshot('/home/klaus/Desktop/PhaseDiagramPlot.png', renderView1, ImageResolution=[1063, 657])

if case ==1:
    SaveScreenshot('/home/klaus/Desktop/PhaseDiagramPlot_Gamma0_HiRES.png', renderView1, ImageResolution=[2126, 1314])
elif case == 2:
    SaveScreenshot('/home/klaus/Desktop/PhaseDiagramPlot_GammaInf_HiRES.png', renderView1, ImageResolution=[2126, 1314])
# export view
# ExportView('/home/klaus/Desktop/PhaseDiagramPlot.pdf', view=renderView1)
